//line php5/php5.y:2
package php5

import __yyfmt__ "fmt"

//line php5/php5.y:2
import (
	//    "fmt"
	//    "strings"
	"strconv"

	"github.com/z7zmey/php-parser/node"
	"github.com/z7zmey/php-parser/node/expr"
	"github.com/z7zmey/php-parser/node/name"
	"github.com/z7zmey/php-parser/node/scalar"
	"github.com/z7zmey/php-parser/node/stmt"
	"github.com/z7zmey/php-parser/token"

//    "github.com/z7zmey/php-parser/node/expr/assign_op"
//    "github.com/z7zmey/php-parser/node/expr/binary_op"
//    "github.com/z7zmey/php-parser/node/expr/cast"
)

//line php5/php5.y:22
type yySymType struct {
	yys   int
	node  node.Node
	token token.Token
	//    boolWithToken boolWithToken
	list []node.Node
	//    foreachVariable foreachVariable
	//    nodesWithEndToken *nodesWithEndToken
	simpleIndirectReference simpleIndirectReference
	//    str string
}

const T_INCLUDE = 57346
const T_INCLUDE_ONCE = 57347
const T_EXIT = 57348
const T_IF = 57349
const T_LNUMBER = 57350
const T_DNUMBER = 57351
const T_STRING = 57352
const T_STRING_VARNAME = 57353
const T_VARIABLE = 57354
const T_NUM_STRING = 57355
const T_INLINE_HTML = 57356
const T_CHARACTER = 57357
const T_BAD_CHARACTER = 57358
const T_ENCAPSED_AND_WHITESPACE = 57359
const T_CONSTANT_ENCAPSED_STRING = 57360
const T_ECHO = 57361
const T_DO = 57362
const T_WHILE = 57363
const T_ENDWHILE = 57364
const T_FOR = 57365
const T_ENDFOR = 57366
const T_FOREACH = 57367
const T_ENDFOREACH = 57368
const T_DECLARE = 57369
const T_ENDDECLARE = 57370
const T_AS = 57371
const T_SWITCH = 57372
const T_ENDSWITCH = 57373
const T_CASE = 57374
const T_DEFAULT = 57375
const T_BREAK = 57376
const T_CONTINUE = 57377
const T_GOTO = 57378
const T_FUNCTION = 57379
const T_CONST = 57380
const T_RETURN = 57381
const T_TRY = 57382
const T_CATCH = 57383
const T_FINALLY = 57384
const T_THROW = 57385
const T_USE = 57386
const T_INSTEADOF = 57387
const T_GLOBAL = 57388
const T_VAR = 57389
const T_UNSET = 57390
const T_ISSET = 57391
const T_EMPTY = 57392
const T_HALT_COMPILER = 57393
const T_CLASS = 57394
const T_TRAIT = 57395
const T_INTERFACE = 57396
const T_EXTENDS = 57397
const T_IMPLEMENTS = 57398
const T_OBJECT_OPERATOR = 57399
const T_DOUBLE_ARROW = 57400
const T_LIST = 57401
const T_ARRAY = 57402
const T_CALLABLE = 57403
const T_CLASS_C = 57404
const T_TRAIT_C = 57405
const T_METHOD_C = 57406
const T_FUNC_C = 57407
const T_LINE = 57408
const T_FILE = 57409
const T_COMMENT = 57410
const T_DOC_COMMENT = 57411
const T_OPEN_TAG = 57412
const T_OPEN_TAG_WITH_ECHO = 57413
const T_CLOSE_TAG = 57414
const T_WHITESPACE = 57415
const T_START_HEREDOC = 57416
const T_END_HEREDOC = 57417
const T_DOLLAR_OPEN_CURLY_BRACES = 57418
const T_CURLY_OPEN = 57419
const T_PAAMAYIM_NEKUDOTAYIM = 57420
const T_NAMESPACE = 57421
const T_NS_C = 57422
const T_DIR = 57423
const T_NS_SEPARATOR = 57424
const T_ELLIPSIS = 57425
const T_EVAL = 57426
const T_REQUIRE = 57427
const T_REQUIRE_ONCE = 57428
const T_LOGICAL_OR = 57429
const T_LOGICAL_XOR = 57430
const T_LOGICAL_AND = 57431
const T_INSTANCEOF = 57432
const T_NEW = 57433
const T_CLONE = 57434
const T_ELSEIF = 57435
const T_ELSE = 57436
const T_ENDIF = 57437
const T_PRINT = 57438
const T_YIELD = 57439
const T_STATIC = 57440
const T_ABSTRACT = 57441
const T_FINAL = 57442
const T_PRIVATE = 57443
const T_PROTECTED = 57444
const T_PUBLIC = 57445
const T_INC = 57446
const T_DEC = 57447
const T_YIELD_FROM = 57448
const T_INT_CAST = 57449
const T_DOUBLE_CAST = 57450
const T_STRING_CAST = 57451
const T_ARRAY_CAST = 57452
const T_OBJECT_CAST = 57453
const T_BOOL_CAST = 57454
const T_UNSET_CAST = 57455
const T_COALESCE = 57456
const T_SPACESHIP = 57457
const T_NOELSE = 57458
const T_PLUS_EQUAL = 57459
const T_MINUS_EQUAL = 57460
const T_MUL_EQUAL = 57461
const T_DIV_EQUAL = 57462
const T_CONCAT_EQUAL = 57463
const T_MOD_EQUAL = 57464
const T_AND_EQUAL = 57465
const T_OR_EQUAL = 57466
const T_XOR_EQUAL = 57467
const T_SL_EQUAL = 57468
const T_SR_EQUAL = 57469
const T_POW_EQUAL = 57470
const T_BOOLEAN_OR = 57471
const T_BOOLEAN_AND = 57472
const T_IS_EQUAL = 57473
const T_IS_NOT_EQUAL = 57474
const T_IS_IDENTICAL = 57475
const T_IS_NOT_IDENTICAL = 57476
const T_IS_SMALLER_OR_EQUAL = 57477
const T_IS_GREATER_OR_EQUAL = 57478
const T_SL = 57479
const T_SR = 57480
const T_POW = 57481

var yyToknames = [...]string{
	"$end",
	"error",
	"$unk",
	"T_INCLUDE",
	"T_INCLUDE_ONCE",
	"T_EXIT",
	"T_IF",
	"T_LNUMBER",
	"T_DNUMBER",
	"T_STRING",
	"T_STRING_VARNAME",
	"T_VARIABLE",
	"T_NUM_STRING",
	"T_INLINE_HTML",
	"T_CHARACTER",
	"T_BAD_CHARACTER",
	"T_ENCAPSED_AND_WHITESPACE",
	"T_CONSTANT_ENCAPSED_STRING",
	"T_ECHO",
	"T_DO",
	"T_WHILE",
	"T_ENDWHILE",
	"T_FOR",
	"T_ENDFOR",
	"T_FOREACH",
	"T_ENDFOREACH",
	"T_DECLARE",
	"T_ENDDECLARE",
	"T_AS",
	"T_SWITCH",
	"T_ENDSWITCH",
	"T_CASE",
	"T_DEFAULT",
	"T_BREAK",
	"T_CONTINUE",
	"T_GOTO",
	"T_FUNCTION",
	"T_CONST",
	"T_RETURN",
	"T_TRY",
	"T_CATCH",
	"T_FINALLY",
	"T_THROW",
	"T_USE",
	"T_INSTEADOF",
	"T_GLOBAL",
	"T_VAR",
	"T_UNSET",
	"T_ISSET",
	"T_EMPTY",
	"T_HALT_COMPILER",
	"T_CLASS",
	"T_TRAIT",
	"T_INTERFACE",
	"T_EXTENDS",
	"T_IMPLEMENTS",
	"T_OBJECT_OPERATOR",
	"T_DOUBLE_ARROW",
	"T_LIST",
	"T_ARRAY",
	"T_CALLABLE",
	"T_CLASS_C",
	"T_TRAIT_C",
	"T_METHOD_C",
	"T_FUNC_C",
	"T_LINE",
	"T_FILE",
	"T_COMMENT",
	"T_DOC_COMMENT",
	"T_OPEN_TAG",
	"T_OPEN_TAG_WITH_ECHO",
	"T_CLOSE_TAG",
	"T_WHITESPACE",
	"T_START_HEREDOC",
	"T_END_HEREDOC",
	"T_DOLLAR_OPEN_CURLY_BRACES",
	"T_CURLY_OPEN",
	"T_PAAMAYIM_NEKUDOTAYIM",
	"T_NAMESPACE",
	"T_NS_C",
	"T_DIR",
	"T_NS_SEPARATOR",
	"T_ELLIPSIS",
	"T_EVAL",
	"T_REQUIRE",
	"T_REQUIRE_ONCE",
	"T_LOGICAL_OR",
	"T_LOGICAL_XOR",
	"T_LOGICAL_AND",
	"T_INSTANCEOF",
	"T_NEW",
	"T_CLONE",
	"T_ELSEIF",
	"T_ELSE",
	"T_ENDIF",
	"T_PRINT",
	"T_YIELD",
	"T_STATIC",
	"T_ABSTRACT",
	"T_FINAL",
	"T_PRIVATE",
	"T_PROTECTED",
	"T_PUBLIC",
	"T_INC",
	"T_DEC",
	"T_YIELD_FROM",
	"T_INT_CAST",
	"T_DOUBLE_CAST",
	"T_STRING_CAST",
	"T_ARRAY_CAST",
	"T_OBJECT_CAST",
	"T_BOOL_CAST",
	"T_UNSET_CAST",
	"T_COALESCE",
	"T_SPACESHIP",
	"T_NOELSE",
	"'\"'",
	"'`'",
	"'{'",
	"'}'",
	"';'",
	"':'",
	"'('",
	"')'",
	"'['",
	"']'",
	"'?'",
	"'&'",
	"'-'",
	"'+'",
	"'!'",
	"'~'",
	"'@'",
	"'$'",
	"','",
	"'='",
	"T_PLUS_EQUAL",
	"T_MINUS_EQUAL",
	"T_MUL_EQUAL",
	"T_DIV_EQUAL",
	"T_CONCAT_EQUAL",
	"T_MOD_EQUAL",
	"T_AND_EQUAL",
	"T_OR_EQUAL",
	"T_XOR_EQUAL",
	"T_SL_EQUAL",
	"T_SR_EQUAL",
	"T_POW_EQUAL",
	"T_BOOLEAN_OR",
	"T_BOOLEAN_AND",
	"'|'",
	"'^'",
	"T_IS_EQUAL",
	"T_IS_NOT_EQUAL",
	"T_IS_IDENTICAL",
	"T_IS_NOT_IDENTICAL",
	"'<'",
	"T_IS_SMALLER_OR_EQUAL",
	"'>'",
	"T_IS_GREATER_OR_EQUAL",
	"T_SL",
	"T_SR",
	"'.'",
	"'*'",
	"'/'",
	"'%'",
	"T_POW",
}
var yyStatenames = [...]string{}

const yyEofCode = 1
const yyErrCode = 2
const yyInitialStackSize = 16

//line php5/php5.y:1854

//line yacctab:1
var yyExca = [...]int{
	-1, 1,
	1, -1,
	-2, 0,
	-1, 50,
	104, 489,
	105, 489,
	-2, 487,
	-1, 101,
	78, 384,
	123, 367,
	-2, 465,
	-1, 113,
	78, 507,
	123, 503,
	-2, 513,
	-1, 153,
	104, 489,
	105, 489,
	-2, 487,
	-1, 203,
	121, 350,
	124, 350,
	-2, 484,
	-1, 204,
	104, 489,
	105, 489,
	121, 351,
	124, 351,
	-2, 487,
	-1, 227,
	123, 367,
	-2, 384,
	-1, 270,
	78, 507,
	-2, 513,
	-1, 296,
	78, 386,
	123, 371,
	-2, 467,
	-1, 300,
	123, 504,
	-2, 514,
	-1, 309,
	78, 385,
	123, 369,
	-2, 466,
	-1, 371,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 311,
	-1, 372,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 312,
	-1, 373,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 313,
	-1, 374,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 314,
	-1, 375,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 315,
	-1, 376,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 316,
	-1, 377,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 317,
	-1, 378,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 318,
	-1, 385,
	104, 489,
	105, 489,
	-2, 487,
	-1, 416,
	123, 371,
	-2, 386,
	-1, 436,
	123, 498,
	-2, 502,
	-1, 453,
	104, 489,
	105, 489,
	124, 572,
	135, 572,
	-2, 487,
	-1, 454,
	124, 573,
	135, 573,
	-2, 484,
	-1, 455,
	104, 489,
	105, 489,
	-2, 487,
	-1, 477,
	123, 375,
	-2, 505,
	-1, 478,
	123, 528,
	-2, 574,
	-1, 483,
	123, 379,
	-2, 506,
	-1, 484,
	123, 528,
	-2, 575,
	-1, 507,
	78, 384,
	-2, 423,
	-1, 553,
	124, 168,
	-2, 173,
	-1, 561,
	121, 352,
	124, 352,
	-2, 484,
	-1, 562,
	104, 489,
	105, 489,
	121, 353,
	124, 353,
	-2, 487,
	-1, 568,
	123, 369,
	-2, 385,
	-1, 569,
	57, 260,
	125, 260,
	-2, 259,
	-1, 612,
	124, 182,
	135, 182,
	-2, 484,
	-1, 613,
	104, 489,
	105, 489,
	124, 183,
	135, 183,
	-2, 487,
	-1, 662,
	78, 386,
	-2, 425,
	-1, 689,
	124, 168,
	-2, 173,
	-1, 704,
	124, 168,
	-2, 173,
	-1, 768,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 451,
	-1, 769,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 452,
	-1, 770,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 453,
	-1, 771,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 454,
	-1, 772,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 455,
	-1, 773,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 456,
	-1, 774,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 457,
	-1, 775,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 458,
	-1, 778,
	78, 385,
	-2, 424,
	-1, 829,
	57, 255,
	-2, 257,
	-1, 888,
	37, 229,
	-2, 226,
	-1, 950,
	123, 498,
	-2, 502,
	-1, 1016,
	29, 217,
	-2, 4,
	-1, 1042,
	124, 168,
	-2, 173,
	-1, 1046,
	121, 221,
	-2, 223,
}

const yyPrivate = 57344

const yyLast = 8356

var yyAct = [...]int{

	101, 892, 1067, 705, 580, 136, 1010, 832, 117, 122,
	130, 199, 925, 326, 711, 830, 4, 436, 334, 876,
	424, 411, 146, 859, 588, 38, 60, 707, 823, 694,
	611, 113, 452, 717, 114, 803, 412, 683, 465, 664,
	383, 317, 97, 263, 137, 439, 328, 313, 142, 6,
	161, 43, 503, 157, 327, 227, 227, 5, 25, 468,
	129, 2, 288, 191, 178, 42, 1041, 125, 634, 120,
	634, 1004, 636, 635, 1003, 1001, 152, 634, 977, 981,
	266, 980, 257, 997, 972, 963, 940, 191, 901, 1002,
	739, 872, 720, 203, 998, 979, 566, 1052, 250, 566,
	941, 740, 824, 296, 644, 645, 646, 637, 639, 640,
	638, 270, 638, 701, 271, 688, 637, 639, 640, 638,
	502, 240, 269, 699, 442, 309, 120, 594, 314, 318,
	351, 484, 321, 120, 700, 496, 228, 589, 595, 229,
	178, 168, 170, 169, 191, 565, 300, 323, 634, 497,
	818, 492, 636, 635, 333, 232, 566, 545, 339, 38,
	227, 177, 179, 180, 178, 493, 332, 782, 546, 125,
	161, 120, 529, 350, 466, 861, 860, 120, 125, 352,
	120, 192, 172, 176, 175, 308, 646, 637, 639, 640,
	638, 119, 266, 353, 227, 200, 120, 240, 982, 158,
	949, 909, 388, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 227, 270, 1022, 345, 271, 697, 348, 343,
	416, 310, 908, 443, 269, 379, 833, 132, 267, 838,
	443, 268, 349, 344, 970, 311, 386, 228, 119, 634,
	229, 133, 642, 636, 635, 119, 780, 232, 299, 725,
	619, 227, 607, 606, 298, 902, 232, 600, 599, 447,
	571, 438, 570, 464, 426, 641, 643, 654, 655, 652,
	653, 656, 658, 657, 659, 644, 645, 646, 637, 639,
	640, 638, 227, 119, 440, 729, 696, 441, 728, 119,
	578, 458, 119, 449, 831, 293, 477, 462, 240, 1071,
	292, 483, 130, 470, 471, 478, 495, 120, 301, 480,
	499, 159, 4, 286, 507, 454, 456, 280, 253, 440,
	585, 38, 441, 125, 440, 120, 584, 441, 428, 429,
	1023, 252, 432, 476, 524, 1075, 1056, 1021, 482, 634,
	463, 989, 507, 636, 635, 6, 1042, 479, 875, 870,
	971, 191, 867, 5, 429, 428, 428, 865, 429, 488,
	848, 817, 491, 125, 741, 120, 674, 654, 655, 652,
	653, 656, 658, 657, 659, 644, 645, 646, 637, 639,
	640, 638, 601, 597, 421, 556, 419, 305, 533, 227,
	176, 175, 228, 138, 537, 229, 890, 936, 987, 555,
	431, 38, 891, 474, 564, 889, 568, 815, 125, 806,
	120, 232, 414, 704, 443, 689, 477, 483, 861, 860,
	1028, 663, 567, 473, 174, 177, 179, 180, 178, 119,
	553, 485, 228, 531, 523, 229, 532, 591, 561, 440,
	440, 387, 441, 441, 590, 287, 294, 119, 277, 593,
	274, 232, 273, 476, 482, 249, 896, 897, 898, 895,
	894, 893, 221, 586, 194, 193, 141, 440, 121, 1062,
	441, 1061, 440, 957, 381, 441, 331, 228, 938, 134,
	229, 795, 796, 307, 314, 306, 1058, 119, 318, 1031,
	795, 796, 4, 507, 1030, 1020, 232, 986, 964, 923,
	662, 38, 507, 919, 863, 857, 856, 103, 191, 507,
	507, 507, 507, 507, 787, 692, 612, 346, 686, 1077,
	684, 676, 528, 610, 487, 6, 390, 341, 155, 629,
	678, 626, 119, 5, 907, 579, 1049, 227, 227, 227,
	961, 935, 934, 932, 556, 633, 820, 176, 175, 715,
	125, 556, 716, 304, 196, 266, 258, 227, 427, 955,
	685, 430, 230, 230, 256, 718, 223, 224, 698, 862,
	896, 897, 898, 895, 894, 893, 880, 693, 794, 181,
	182, 174, 177, 179, 180, 178, 270, 264, 125, 271,
	1034, 438, 294, 721, 227, 731, 227, 269, 719, 125,
	734, 917, 918, 616, 1016, 227, 852, 853, 714, 90,
	125, 661, 125, 631, 440, 127, 128, 441, 625, 628,
	259, 260, 124, 446, 125, 507, 507, 507, 507, 507,
	507, 507, 507, 507, 507, 507, 507, 507, 507, 507,
	507, 507, 507, 507, 507, 507, 507, 507, 507, 507,
	507, 507, 778, 737, 507, 738, 281, 285, 125, 123,
	131, 459, 709, 710, 742, 415, 294, 230, 557, 501,
	498, 558, 294, 557, 494, 790, 558, 124, 258, 507,
	556, 557, 319, 801, 558, 320, 668, 227, 450, 38,
	792, 445, 507, 779, 781, 556, 315, 791, 816, 264,
	258, 230, 418, 809, 556, 822, 417, 302, 297, 460,
	819, 730, 797, 227, 799, 258, 804, 667, 718, 833,
	430, 952, 294, 294, 807, 835, 448, 294, 262, 230,
	131, 800, 713, 61, 827, 560, 394, 821, 294, 836,
	837, 460, 259, 260, 812, 744, 745, 258, 207, 746,
	747, 634, 283, 206, 258, 636, 635, 258, 841, 430,
	1032, 844, 282, 784, 259, 260, 877, 507, 230, 814,
	53, 1068, 703, 507, 507, 284, 162, 454, 461, 259,
	260, 44, 612, 656, 658, 657, 659, 644, 645, 646,
	637, 639, 640, 638, 1033, 227, 238, 258, 548, 230,
	527, 44, 255, 38, 1074, 785, 871, 1040, 1024, 556,
	284, 259, 260, 999, 573, 556, 575, 574, 259, 260,
	994, 259, 260, 974, 868, 225, 233, 1053, 904, 899,
	937, 517, 438, 535, 227, 1047, 878, 1005, 507, 881,
	900, 906, 905, 864, 795, 796, 798, 795, 796, 735,
	975, 944, 125, 811, 749, 440, 748, 915, 441, 517,
	227, 259, 260, 507, 632, 556, 630, 627, 576, 914,
	550, 926, 921, 929, 926, 924, 500, 890, 472, 933,
	943, 928, 556, 891, 38, 391, 889, 322, 202, 201,
	198, 135, 451, 911, 289, 722, 946, 437, 115, 583,
	942, 581, 582, 950, 507, 727, 230, 665, 514, 948,
	951, 910, 840, 947, 592, 931, 265, 303, 960, 622,
	621, 618, 617, 962, 475, 490, 295, 969, 965, 958,
	967, 968, 536, 505, 956, 392, 254, 896, 897, 898,
	895, 894, 893, 75, 976, 983, 904, 74, 251, 248,
	63, 438, 544, 988, 802, 990, 380, 991, 985, 882,
	984, 505, 569, 507, 357, 356, 355, 354, 507, 825,
	556, 444, 556, 38, 440, 38, 724, 441, 38, 723,
	38, 38, 903, 828, 1007, 829, 1015, 682, 335, 888,
	1045, 1014, 1043, 1013, 507, 507, 1012, 1011, 1009, 1008,
	556, 38, 978, 38, 38, 945, 1029, 1060, 1027, 887,
	517, 886, 885, 1035, 1015, 1000, 973, 939, 884, 517,
	1006, 883, 1037, 556, 609, 1046, 517, 517, 517, 517,
	517, 191, 507, 556, 1048, 708, 1051, 1044, 706, 1017,
	954, 922, 959, 556, 869, 1055, 1025, 1026, 38, 559,
	395, 40, 712, 554, 230, 230, 230, 1057, 1064, 1070,
	393, 38, 556, 39, 552, 879, 14, 13, 38, 172,
	176, 175, 264, 1078, 230, 1076, 1072, 38, 1073, 1066,
	873, 1065, 1063, 1039, 1050, 966, 874, 813, 702, 808,
	549, 38, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 195,
	382, 230, 505, 230, 163, 530, 337, 1036, 1018, 920,
	681, 505, 230, 680, 140, 677, 526, 139, 505, 505,
	505, 505, 505, 916, 854, 789, 525, 851, 788, 675,
	330, 10, 517, 517, 517, 517, 517, 517, 517, 517,
	517, 517, 517, 517, 517, 517, 517, 517, 517, 517,
	517, 517, 517, 517, 517, 517, 517, 517, 517, 596,
	1, 517, 160, 156, 316, 312, 126, 88, 572, 89,
	506, 208, 209, 210, 211, 213, 214, 215, 216, 217,
	218, 219, 220, 212, 100, 342, 517, 73, 11, 324,
	99, 98, 78, 118, 230, 512, 547, 3, 0, 517,
	208, 209, 210, 211, 213, 214, 215, 216, 217, 218,
	219, 220, 212, 504, 0, 0, 0, 0, 0, 0,
	230, 0, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 505, 505, 505, 505, 505, 505,
	505, 505, 505, 505, 505, 505, 505, 505, 505, 505,
	505, 505, 505, 505, 505, 505, 505, 505, 505, 505,
	505, 176, 175, 505, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 517, 0, 0, 0, 0, 0,
	517, 517, 0, 0, 649, 647, 648, 0, 505, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	0, 505, 230, 208, 209, 210, 211, 213, 214, 215,
	216, 217, 218, 219, 220, 212, 0, 0, 0, 847,
	0, 0, 634, 0, 660, 642, 636, 635, 208, 209,
	210, 211, 213, 214, 215, 216, 217, 218, 219, 220,
	212, 230, 0, 0, 116, 517, 651, 650, 641, 643,
	654, 655, 652, 653, 656, 658, 657, 659, 644, 645,
	646, 637, 639, 640, 638, 0, 0, 230, 0, 0,
	517, 0, 30, 0, 0, 0, 505, 0, 0, 0,
	0, 0, 505, 505, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 144, 150, 154, 0, 231,
	231, 164, 0, 0, 0, 0, 0, 0, 0, 197,
	0, 517, 0, 0, 205, 0, 0, 0, 0, 0,
	0, 0, 0, 191, 272, 222, 0, 0, 0, 234,
	235, 236, 237, 0, 0, 239, 0, 241, 242, 243,
	244, 245, 246, 247, 0, 0, 0, 505, 0, 0,
	261, 0, 0, 0, 0, 275, 276, 0, 278, 279,
	0, 172, 176, 175, 0, 0, 0, 0, 0, 290,
	517, 0, 505, 0, 0, 517, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 50, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 517, 517, 0, 231, 0, 0, 0, 0, 0,
	153, 239, 0, 505, 336, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 204, 0, 0,
	0, 0, 0, 0, 0, 0, 272, 0, 231, 517,
	226, 226, 0, 358, 359, 360, 361, 362, 363, 364,
	365, 366, 367, 368, 369, 370, 371, 372, 373, 374,
	375, 376, 377, 378, 0, 0, 231, 154, 0, 0,
	0, 0, 505, 0, 0, 0, 0, 505, 0, 0,
	0, 397, 399, 400, 401, 402, 403, 404, 405, 406,
	407, 408, 409, 410, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 505, 505, 231, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 239, 0, 423, 425, 425, 0, 0, 0,
	0, 0, 433, 0, 0, 0, 231, 0, 0, 0,
	0, 505, 0, 0, 0, 347, 154, 154, 0, 0,
	457, 0, 0, 425, 0, 0, 0, 0, 634, 425,
	290, 642, 636, 635, 0, 425, 425, 0, 0, 0,
	0, 425, 481, 0, 0, 0, 0, 486, 0, 384,
	385, 0, 651, 650, 641, 643, 654, 655, 652, 653,
	656, 658, 657, 659, 644, 645, 646, 637, 639, 640,
	638, 0, 0, 0, 0, 0, 0, 413, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 534,
	0, 0, 0, 0, 0, 666, 538, 539, 540, 541,
	542, 0, 669, 670, 671, 672, 673, 0, 0, 0,
	0, 0, 0, 231, 0, 0, 435, 0, 0, 0,
	0, 0, 0, 543, 0, 649, 647, 648, 0, 453,
	455, 0, 0, 0, 0, 0, 0, 0, 0, 154,
	0, 634, 0, 0, 642, 636, 635, 469, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 634, 845, 660, 642, 636, 635, 654,
	655, 652, 653, 656, 658, 657, 659, 644, 645, 646,
	637, 639, 640, 638, 0, 0, 587, 651, 650, 641,
	643, 654, 655, 652, 653, 656, 658, 657, 659, 644,
	645, 646, 637, 639, 640, 638, 0, 0, 0, 602,
	604, 0, 0, 0, 0, 0, 0, 154, 750, 751,
	752, 753, 754, 755, 756, 757, 758, 759, 760, 761,
	762, 763, 764, 765, 766, 767, 768, 769, 770, 771,
	772, 773, 774, 775, 777, 913, 0, 666, 0, 0,
	0, 0, 562, 0, 563, 0, 0, 0, 0, 0,
	0, 231, 231, 231, 634, 0, 660, 642, 636, 635,
	0, 0, 0, 0, 649, 647, 648, 0, 0, 272,
	0, 231, 0, 0, 0, 0, 0, 691, 651, 650,
	641, 643, 654, 655, 652, 653, 656, 658, 657, 659,
	644, 645, 646, 637, 639, 640, 638, 0, 0, 0,
	0, 0, 634, 0, 660, 642, 636, 635, 231, 0,
	231, 726, 647, 648, 0, 0, 0, 425, 732, 231,
	613, 0, 0, 0, 0, 0, 651, 650, 641, 643,
	654, 655, 652, 653, 656, 658, 657, 659, 644, 645,
	646, 637, 639, 640, 638, 0, 0, 0, 743, 634,
	846, 660, 642, 636, 635, 0, 849, 850, 0, 0,
	0, 0, 0, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 651, 650, 641, 643, 654, 655, 652,
	653, 656, 658, 657, 659, 644, 645, 646, 637, 639,
	640, 638, 384, 695, 695, 0, 0, 0, 0, 839,
	0, 231, 0, 0, 0, 0, 192, 172, 176, 175,
	0, 0, 413, 0, 336, 793, 0, 0, 0, 0,
	0, 912, 0, 0, 0, 0, 0, 231, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 0, 0, 469,
	0, 469, 0, 826, 0, 0, 0, 0, 0, 0,
	469, 425, 425, 0, 0, 0, 0, 0, 154, 842,
	0, 0, 0, 154, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 634, 0, 953, 642, 636,
	635, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 231,
	650, 641, 643, 654, 655, 652, 653, 656, 658, 657,
	659, 644, 645, 646, 637, 639, 640, 638, 858, 0,
	168, 170, 169, 191, 0, 866, 0, 0, 0, 0,
	0, 0, 805, 0, 0, 0, 0, 0, 231, 0,
	0, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 425, 0, 0, 0, 413, 834,
	192, 172, 176, 175, 231, 0, 0, 0, 0, 0,
	0, 453, 0, 0, 0, 0, 613, 0, 0, 172,
	176, 175, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 0,
	0, 0, 0, 0, 0, 425, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	695, 0, 0, 336, 0, 0, 0, 0, 0, 0,
	0, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 469,
	0, 22, 23, 37, 44, 15, 24, 35, 0, 0,
	36, 9, 0, 26, 0, 31, 80, 81, 7, 45,
	47, 49, 0, 0, 0, 413, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 8, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 46, 48, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 624, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 15, 24, 35, 0,
	0, 36, 9, 0, 26, 0, 31, 80, 81, 7,
	45, 47, 49, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 8, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 46, 48, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 489, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 0, 20, 0, 32, 0, 33, 0, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 15, 24, 35,
	0, 0, 36, 9, 0, 26, 0, 31, 80, 81,
	7, 45, 47, 49, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 8, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 46, 48,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 16, 0,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 0, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 0, 24,
	35, 0, 0, 36, 0, 0, 26, 0, 31, 80,
	81, 329, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	1079, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 0,
	24, 35, 0, 0, 36, 0, 0, 26, 0, 31,
	80, 81, 329, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 1069, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 0, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	0, 24, 35, 0, 0, 36, 0, 0, 26, 0,
	31, 80, 81, 329, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 1059, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 1054, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 329, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 0, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 329, 45, 47, 49, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 46, 48, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 1019, 34, 0, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 329, 45, 47, 49,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 46, 48, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 996, 34, 0, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 329, 45, 47,
	49, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 46, 48, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 995, 34, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 329, 45,
	47, 49, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 46, 48, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 993, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 992, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 0, 24, 35, 0,
	0, 36, 0, 0, 26, 0, 31, 80, 81, 329,
	45, 47, 49, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 46, 48, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 0, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 0, 20, 0, 32, 0, 33, 930, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 0, 24, 35,
	0, 0, 36, 0, 0, 26, 0, 31, 80, 81,
	329, 45, 47, 49, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 46, 48,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 16, 0,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 855, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 0, 24,
	35, 0, 0, 36, 0, 0, 26, 0, 31, 80,
	81, 329, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	0, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 0,
	24, 35, 0, 0, 36, 0, 0, 26, 0, 31,
	80, 81, 329, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 551, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 0, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	0, 24, 35, 0, 0, 36, 0, 0, 26, 0,
	31, 80, 81, 329, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 325, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 0, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 329, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 0, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 0, 34, 1038, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 0, 34, 927, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 0, 34, 810, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 0, 34, 679,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 0, 24, 35, 0,
	0, 36, 0, 0, 26, 0, 31, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 649, 647, 648,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 783, 0, 0, 91, 76, 16, 0, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 0, 786, 634, 0, 660, 642, 636,
	635, 649, 647, 648, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 736, 0, 0, 651,
	650, 641, 643, 654, 655, 652, 653, 656, 658, 657,
	659, 644, 645, 646, 637, 639, 640, 638, 0, 634,
	0, 660, 642, 636, 635, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 651, 650, 641, 643, 654, 655, 652,
	653, 656, 658, 657, 659, 644, 645, 646, 637, 639,
	640, 638, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 0, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 733, 0, 0, 0,
	0, 0, 0, 192, 172, 176, 175, 0, 0, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 690, 0, 0, 0, 0, 192,
	172, 176, 175, 0, 0, 0, 0, 168, 170, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	687, 0, 0, 0, 0, 0, 0, 192, 172, 176,
	175, 0, 0, 0, 0, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 623, 0,
	0, 0, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 0, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 620, 0, 0, 0,
	0, 0, 0, 192, 172, 176, 175, 168, 170, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 598, 0, 0, 192, 172, 176,
	175, 0, 0, 0, 0, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 577, 0,
	0, 0, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 0, 0, 0, 0, 0, 467, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 396, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 420, 0, 0,
	192, 172, 176, 175, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 0, 0, 0, 192, 172, 176, 175, 0, 0,
	0, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 389, 0, 0, 0, 0,
	0, 192, 172, 176, 175, 0, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 340, 0, 0, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 338,
	0, 0, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 168, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 165, 0, 0, 0,
	0, 0, 192, 172, 176, 175, 649, 647, 648, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 0, 634, 0, 660, 642, 636, 635,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 651, 650,
	641, 643, 654, 655, 652, 653, 656, 658, 657, 659,
	644, 645, 646, 637, 639, 640, 638, 0, 0, 0,
	192, 172, 176, 175, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 0, 0, 192, 172, 176, 175, 0, 648, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 634, 0, 660, 642, 636, 635,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 651, 650,
	641, 643, 654, 655, 652, 653, 656, 658, 657, 659,
	644, 645, 646, 637, 639, 640, 638, 0, 192, 172,
	176, 175, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 192,
	172, 176, 175, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	0, 172, 176, 175, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	615, 84, 85, 86, 191, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 0, 0,
	62, 608, 96, 176, 175, 614, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 615, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 145, 147, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 634, 91, 76, 642, 636, 635,
	0, 62, 0, 96, 0, 0, 614, 57, 56, 58,
	59, 72, 119, 0, 0, 0, 0, 0, 0, 0,
	0, 643, 654, 655, 652, 653, 656, 658, 657, 659,
	644, 645, 646, 637, 639, 640, 638, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	145, 147, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 0, 0, 0, 0, 62, 0, 96, 0,
	0, 843, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 0, 104, 105, 125, 87, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 145, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 0, 0, 0, 0, 62, 0, 96,
	0, 0, 605, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 191, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 145, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 172,
	176, 175, 91, 76, 0, 0, 0, 0, 62, 0,
	96, 0, 0, 603, 57, 56, 58, 59, 72, 119,
	0, 0, 0, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 145, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 0,
	96, 0, 0, 291, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	422, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 145, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 0, 0,
	62, 0, 96, 0, 0, 398, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 145, 147, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 0, 0, 151,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 0, 104, 105, 125,
	87, 120, 0, 0, 0, 0, 0, 94, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 44, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 80, 81,
	0, 0, 0, 0, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 145, 147, 0, 0,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 0, 0,
	149, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 0, 104, 105,
	125, 87, 120, 0, 0, 0, 0, 0, 94, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 44, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 80,
	81, 0, 0, 0, 0, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 145, 147, 0,
	0, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 0,
	0, 143, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 145, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	0, 0, 0, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 0,
	104, 105, 125, 434, 120, 0, 0, 0, 0, 0,
	94, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 104, 105, 125, 77,
	41, 147, 0, 0, 0, 0, 515, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 0, 0, 0, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 510, 0,
	513, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 516, 0, 0, 0, 0, 508, 112, 108,
	509, 104, 105, 125, 0, 0, 0, 0, 0, 0,
	0, 515, 0, 0, 0, 0, 232, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	776, 522, 0, 511, 0, 0, 0, 521, 520, 518,
	519, 0, 0, 510, 0, 513, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 516, 0, 0,
	0, 0, 508, 112, 108, 509, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 232, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 522, 0, 511, 0,
	0, 0, 521, 520, 518, 519,
}
var yyPact = [...]int{

	-1000, -1000, 2579, -1000, -1000, -1000, -1000, 355, 550, 588,
	116, -1000, 367, -1000, -1000, 891, -1000, 280, -1000, -1000,
	353, 280, 7670, 7539, 7408, 417, 187, 774, 7801, -1000,
	5855, 352, 351, -1000, -1000, 445, 7801, 890, 67, 889,
	888, 7801, -1000, -1000, -1000, -1000, 711, -1000, 706, -1000,
	1212, 349, 7801, 472, 57, 57, 7801, 7801, 7801, 7801,
	-1000, -1000, 8063, -1000, 7801, 7801, 7801, 7801, 7801, 7801,
	7801, 342, -1000, -1000, 216, 203, 795, 7801, 681, 159,
	339, 337, 7801, 7801, 335, 7801, 7801, -1000, 202, -1000,
	-1000, 755, 745, -1000, 198, 332, 7015, -1000, 185, 180,
	-1000, 520, 852, 640, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 139, 184, -1000, 639, -1000, -1000, 444,
	-1000, 273, 374, -1000, 852, -1000, 110, 624, 610, -1000,
	666, 852, -1000, 887, -1000, 11, 4282, 364, 8063, 280,
	5068, 7801, -1000, -1000, 5808, -1000, 67, 754, 605, -1000,
	5761, -1000, 416, 1084, 5943, -1000, 108, -1000, -1000, 408,
	107, 67, -6, 58, 5943, -1000, -1000, -1000, -1000, -1000,
	7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801,
	7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801,
	7801, 159, 362, 57, 7801, 328, -1000, 5714, 415, 885,
	-1000, 691, -1000, -1000, 1212, 5667, -1000, -1000, 7277, 7801,
	7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801, 7801,
	7801, 363, -1000, -1000, -1000, -1000, -1000, 520, 593, 852,
	638, 634, -1000, -1000, -103, -103, -27, -103, 272, 5623,
	270, -103, -103, -103, -103, -103, -103, -103, -1000, 7146,
	-1000, 7801, 7801, 7801, 450, 698, 752, -1000, 285, 7932,
	57, 6112, 114, -1000, 623, -1000, 520, 551, 852, 679,
	139, 184, 620, 7801, 7801, 5943, 5943, 7801, 5943, 5943,
	7801, 554, 698, 676, -1000, 713, 7801, 7015, 147, 39,
	5579, 57, 7801, 7801, 878, 290, 520, 305, 7801, 7801,
	139, 444, 121, 290, 7801, 413, -1000, -1000, 2448, 520,
	-1000, 658, 30, -1000, 655, 852, 14, -1000, 651, 852,
	876, 650, -16, 8223, -1000, -1000, -1000, -1000, -1000, 321,
	5068, -1000, -1000, 789, 411, 37, 5943, 324, -1000, -1000,
	-1000, -1000, -1000, -1000, 187, -1000, 7801, -1000, -1000, 831,
	-1000, 8223, -1000, 7801, 7801, 7801, 7801, 7801, 6071, 6851,
	6314, 1353, -3, -3, -3, -27, -103, -27, -27, 271,
	271, 1152, 1152, 1152, 1152, 428, 428, 428, 428, -1000,
	7801, -1000, 33, -1000, -1000, 1187, 779, 870, 4151, -1000,
	-1000, -1000, 317, -1000, 599, 690, 7801, 6112, 323, 6112,
	6112, 6112, 6112, 6112, 6112, 6112, 6112, 6112, 6112, 6112,
	6112, 21, -1000, -1000, 309, 852, 520, 114, 114, -1000,
	-1000, -1000, -1000, -103, 146, 5943, 144, -1000, -1000, -1000,
	-1000, 814, 868, 5498, 175, 425, -1000, 211, -1000, -1000,
	139, 184, -1000, 7801, 290, 165, 852, 520, -1000, 139,
	165, 3, -1000, 1212, -1000, 1055, 269, 5450, 142, -1000,
	-1000, -1000, 141, 268, -1000, -1000, 6865, 6734, -1000, -1000,
	137, 136, -1000, -1000, 6317, 290, -1000, -1000, -1000, -1000,
	134, 5406, -1000, -1000, -1000, -1000, 5358, -1000, 2317, -1000,
	290, -1000, -1000, 624, 867, 600, -1000, 610, 866, 594,
	-1000, 864, 8223, -1000, 5899, -1000, -1000, 520, 539, 852,
	308, 8223, -1000, -1000, -1000, -1000, 710, 618, 8223, 8223,
	8223, 8223, 8223, 252, -1000, -1000, 4937, -1000, -1000, -1000,
	-1000, 409, 407, -1000, 5310, -21, 302, -1000, 5943, 2121,
	951, 5986, 6112, 5262, 7801, 404, 57, 168, 168, -1,
	-23, 741, 300, 612, 686, -1000, 520, 536, 852, 443,
	599, -1000, 1212, -1000, 159, -44, 363, -1000, 520, -1000,
	-1000, -1000, 133, -1000, -1000, -1000, -1000, -1000, 7801, -1000,
	-1000, 173, 170, 290, 7801, 7801, 139, 5216, -1000, -1000,
	-1000, 520, 114, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, 5168, 57, 5943, 57, -1000, -1000, -1000, -34,
	250, -1000, -1000, 1212, 57, 7801, -1000, 290, 290, -1000,
	-1000, 290, 290, -1000, -1000, -1000, -1000, -1000, 856, -1000,
	-1000, 854, -1000, -1000, 8223, 8223, 8223, 8223, 8223, 8223,
	8223, 8223, 8223, 8223, 8223, 8223, 8223, 8223, 8223, 8223,
	8223, 8223, 8223, 8223, 8223, 8223, 8223, 8223, 8223, 8223,
	8148, 852, 520, 8223, 130, 32, 5124, 644, 763, -55,
	-55, -48, -48, 5080, 403, -1000, 4413, -1000, -1000, -1000,
	280, 7801, 7801, 468, -1000, 825, -1000, -1000, 8223, 612,
	-1000, 6153, -1000, -1000, 668, -1000, 57, 296, 668, 4806,
	853, 8223, 737, 294, 612, 247, 15, -1000, 67, -1000,
	-1000, -1000, 437, 599, 852, 520, -1000, -33, -1000, -1000,
	7801, -1000, 363, -1000, 179, -1000, 2103, 672, 7801, 7801,
	-1000, 113, 1939, -1000, -1000, 7801, 6603, -1000, -1000, -1000,
	6448, -1000, -1000, 5943, -1000, -1000, -1000, -1000, -1000, -1000,
	1688, -48, -48, -55, -55, -55, -55, 6439, 224, 1666,
	23, 23, -48, 6029, 1789, 1884, 124, 2020, 636, 636,
	636, 636, -57, -57, -57, -57, 8223, 1217, 520, 246,
	-1000, -1000, 8223, 8223, -1000, -1000, -1000, -1000, 523, -1000,
	4020, 395, 394, 5943, -1000, 7801, 307, 459, 393, 822,
	-1000, 243, 7801, 238, 168, -1000, -1000, 235, -1000, -1000,
	-1000, -45, -1000, -1000, -1000, -1000, 234, 732, 612, 503,
	-1000, -33, 520, 849, 599, 290, 6112, -36, -1000, 140,
	672, 7801, -1000, 114, 424, -1000, 106, 75, -1000, -1000,
	-1000, -1000, 5943, 57, -1000, -1000, 1553, 8223, -1000, 1837,
	5899, -1000, 280, 5068, 518, 392, -1000, -1000, 54, -1000,
	-1000, -1000, -1000, -1000, 388, 732, 6153, 4675, -1000, 363,
	4675, 3889, 8223, 434, 599, 433, 432, 284, -1000, 828,
	-1000, 368, -1000, -1000, -1000, -35, -1000, 754, 482, -1000,
	851, 599, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, 7801, 672, -1000, 74, -1000, -1000, -1000, -1000,
	674, -1000, 1553, 8223, -1000, -1000, 474, 280, 361, -1000,
	7801, -1000, -1000, -1000, 431, -1000, -1000, -1000, -39, -1000,
	387, -1000, -1000, -1000, -1000, -1000, 232, -52, -1000, 821,
	-1000, 850, 67, -1000, -58, -40, -1000, 72, 672, -1000,
	-1000, -1000, 114, 5899, 5068, 386, 286, -1000, 227, -1000,
	4413, -1000, 3758, -1000, -1000, 3627, 818, 3496, 3365, -41,
	-1000, 811, 8223, -46, -62, -65, 837, 8223, -1000, 599,
	-1000, 604, -1000, -1000, -1000, -1000, -1000, -1000, 4413, -1000,
	4413, 3234, 384, -1000, 223, -1000, -1000, -1000, 212, -1000,
	-1000, -1000, 806, 8223, 8223, -1000, -1000, -1000, 310, 604,
	-1000, 383, 378, 725, 775, 522, -1000, -1000, 4544, -1000,
	-1000, -1000, -1000, 805, -70, -1000, -1000, 233, -1000, -1000,
	-1000, -1000, 599, 482, 835, 4413, -1000, -1000, -1000, 427,
	-1000, 8223, 612, -38, -1000, 827, -1000, -1000, 3103, -1000,
	-1000, 222, 599, -1000, 375, 2972, 360, -1000, -1000, -1000,
	-1000, -1000, -1000, 740, 2841, -1000, 740, -1000, 186, -1000,
	-1000, 599, -1000, 802, 221, -1000, 410, -1000, 2710, -1000,
}
var yyPgo = [...]int{

	0, 1217, 60, 47, 41, 619, 1215, 1213, 31, 517,
	1364, 20, 1392, 51, 65, 59, 780, 1505, 1212, 42,
	1211, 1210, 1209, 13, 1208, 53, 52, 1207, 1204, 1190,
	1189, 82, 1188, 1187, 61, 0, 1186, 1185, 1184, 5,
	1183, 1182, 574, 34, 1180, 54, 46, 1151, 26, 1150,
	1149, 1148, 1147, 1146, 1145, 1144, 1143, 1137, 1136, 1135,
	1134, 1133, 18, 1130, 1129, 1128, 1127, 1126, 1125, 58,
	1124, 1120, 29, 35, 12, 1119, 1100, 1099, 1098, 1097,
	1096, 14, 1095, 1093, 1092, 1091, 1090, 1089, 2, 1088,
	1085, 40, 1077, 1076, 11, 1075, 22, 1074, 3, 1073,
	1070, 1063, 1062, 28, 1061, 1060, 1059, 33, 1054, 21,
	37, 23, 1052, 1051, 1050, 1049, 1048, 27, 1045, 137,
	1034, 30, 1031, 1028, 1027, 1026, 1022, 1021, 1019, 1018,
	1017, 1015, 1012, 1009, 1008, 6, 1007, 1006, 1003, 1002,
	1001, 1000, 1, 999, 998, 997, 15, 7, 995, 993,
	992, 989, 986, 743, 43, 981, 24, 979, 977, 976,
	975, 974, 972, 966, 964, 962, 960, 959, 958, 957,
	953, 946, 945, 19, 942, 62, 937, 936, 935, 934,
	45, 932, 8, 931, 930, 929, 927, 926, 924, 17,
	922, 921, 920, 1233, 39, 918, 917, 38, 4, 915,
	913, 912, 911, 909, 908, 907, 36, 905, 904, 902,
	32, 859,
}
var yyR1 = [...]int{

	0, 44, 34, 34, 35, 35, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 36, 36, 2,
	2, 2, 2, 37, 37, 3, 3, 3, 3, 38,
	38, 4, 4, 4, 4, 47, 47, 39, 39, 22,
	22, 22, 22, 23, 23, 24, 49, 50, 24, 53,
	54, 24, 57, 58, 24, 60, 61, 24, 63, 64,
	65, 24, 67, 24, 24, 24, 24, 24, 24, 24,
	24, 24, 24, 24, 24, 24, 24, 24, 24, 24,
	75, 24, 24, 24, 24, 24, 78, 80, 82, 83,
	84, 78, 79, 86, 79, 85, 85, 87, 87, 89,
	90, 88, 71, 71, 91, 45, 46, 94, 94, 95,
	95, 97, 92, 101, 93, 105, 93, 99, 99, 99,
	99, 100, 100, 104, 106, 106, 102, 102, 107, 107,
	73, 73, 72, 72, 108, 72, 66, 66, 74, 74,
	77, 77, 76, 76, 68, 68, 68, 68, 110, 112,
	110, 113, 110, 111, 111, 59, 59, 51, 114, 51,
	55, 115, 55, 52, 52, 56, 56, 98, 98, 116,
	116, 117, 117, 118, 118, 118, 118, 119, 119, 119,
	120, 120, 121, 121, 121, 121, 40, 40, 25, 25,
	25, 41, 41, 41, 41, 103, 103, 124, 122, 122,
	122, 129, 122, 127, 131, 131, 132, 132, 133, 133,
	134, 134, 135, 135, 136, 139, 139, 140, 140, 138,
	137, 137, 141, 141, 130, 130, 123, 123, 128, 128,
	143, 143, 142, 142, 142, 142, 142, 142, 125, 125,
	125, 125, 126, 126, 70, 70, 62, 62, 145, 144,
	144, 146, 146, 148, 148, 150, 149, 149, 149, 151,
	152, 151, 155, 153, 13, 13, 13, 157, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 158, 13, 159, 13,
	160, 13, 161, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 162, 13, 163, 164, 13, 165, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 168, 13,
	13, 13, 13, 13, 13, 13, 172, 13, 174, 13,
	69, 69, 69, 69, 169, 169, 169, 169, 170, 170,
	96, 173, 173, 176, 176, 176, 176, 177, 21, 178,
	21, 179, 21, 181, 21, 183, 21, 184, 21, 185,
	21, 186, 21, 9, 9, 9, 9, 81, 81, 81,
	154, 154, 188, 190, 187, 187, 191, 191, 192, 167,
	167, 167, 171, 171, 171, 156, 156, 5, 5, 5,
	5, 5, 5, 5, 5, 5, 5, 5, 5, 6,
	26, 193, 193, 193, 193, 193, 193, 193, 193, 193,
	193, 195, 195, 195, 195, 195, 195, 195, 195, 195,
	195, 195, 195, 195, 195, 195, 195, 195, 195, 195,
	195, 195, 195, 195, 195, 195, 195, 195, 195, 195,
	195, 195, 195, 195, 33, 33, 33, 33, 27, 27,
	27, 27, 27, 27, 27, 194, 194, 197, 197, 196,
	196, 196, 196, 12, 12, 48, 48, 14, 15, 16,
	17, 17, 199, 199, 200, 147, 201, 201, 203, 202,
	198, 198, 198, 182, 182, 204, 204, 10, 20, 20,
	18, 18, 18, 19, 19, 19, 8, 8, 8, 7,
	7, 11, 11, 189, 189, 205, 205, 205, 180, 180,
	43, 43, 109, 109, 206, 207, 206, 206, 175, 175,
	208, 208, 208, 208, 208, 208, 208, 208, 42, 42,
	42, 42, 31, 31, 31, 31, 31, 31, 32, 32,
	32, 166, 166, 166, 166, 166, 166, 166, 166, 209,
	211, 209, 210, 210, 28, 28, 29, 30,
}
var yyR2 = [...]int{

	0, 1, 2, 0, 1, 3, 1, 1, 1, 4,
	3, 5, 4, 3, 4, 4, 2, 3, 1, 1,
	3, 2, 4, 3, 1, 1, 3, 2, 4, 3,
	1, 1, 3, 2, 4, 5, 4, 2, 0, 1,
	1, 1, 4, 1, 2, 3, 0, 0, 7, 0,
	0, 10, 0, 0, 5, 0, 0, 7, 0, 0,
	0, 12, 0, 4, 2, 3, 2, 3, 2, 3,
	3, 2, 3, 3, 3, 1, 2, 5, 8, 8,
	0, 6, 1, 6, 3, 3, 0, 0, 0, 0,
	0, 13, 0, 0, 5, 1, 0, 1, 2, 0,
	0, 10, 1, 3, 1, 1, 1, 0, 1, 0,
	1, 0, 10, 0, 8, 0, 7, 1, 2, 1,
	2, 0, 2, 1, 0, 2, 0, 2, 1, 3,
	0, 2, 1, 2, 0, 5, 1, 4, 1, 4,
	1, 4, 3, 5, 3, 4, 4, 5, 0, 0,
	6, 0, 5, 1, 1, 1, 4, 0, 0, 5,
	0, 0, 6, 0, 2, 0, 3, 1, 0, 1,
	3, 4, 6, 0, 1, 1, 1, 2, 3, 3,
	1, 3, 1, 1, 2, 2, 3, 1, 1, 2,
	4, 3, 5, 1, 3, 2, 0, 0, 4, 2,
	1, 0, 9, 3, 1, 3, 1, 3, 0, 1,
	1, 2, 2, 2, 3, 1, 3, 1, 1, 3,
	4, 3, 0, 1, 1, 3, 1, 1, 0, 1,
	1, 2, 1, 1, 1, 1, 1, 1, 3, 5,
	1, 3, 5, 4, 3, 1, 0, 1, 0, 4,
	1, 2, 1, 4, 3, 0, 3, 1, 1, 0,
	0, 2, 0, 4, 6, 3, 4, 0, 7, 2,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 2, 2, 2, 2, 0, 4, 0, 4,
	0, 4, 0, 4, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 2, 2, 2,
	2, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	1, 1, 0, 5, 0, 0, 7, 0, 5, 1,
	2, 2, 2, 2, 2, 2, 2, 2, 0, 3,
	1, 1, 1, 3, 2, 1, 0, 10, 0, 11,
	2, 2, 4, 4, 4, 4, 4, 4, 4, 3,
	1, 0, 4, 3, 4, 1, 2, 0, 3, 0,
	5, 0, 4, 0, 5, 0, 5, 0, 5, 0,
	5, 0, 3, 1, 1, 3, 2, 1, 3, 2,
	1, 1, 0, 0, 6, 1, 2, 0, 2, 0,
	2, 1, 0, 1, 1, 0, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 3, 2, 3,
	1, 1, 1, 1, 3, 2, 4, 3, 1, 1,
	1, 4, 3, 3, 3, 3, 3, 3, 2, 2,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 4,
	5, 2, 2, 3, 1, 1, 3, 2, 1, 1,
	1, 1, 3, 3, 1, 0, 2, 0, 1, 5,
	3, 3, 1, 1, 1, 3, 3, 1, 1, 1,
	5, 1, 2, 0, 0, 4, 4, 4, 0, 2,
	1, 1, 0, 1, 2, 3, 3, 1, 4, 4,
	1, 1, 1, 1, 2, 1, 4, 4, 1, 1,
	4, 0, 1, 1, 1, 4, 4, 1, 1, 3,
	1, 2, 3, 1, 1, 0, 5, 0, 0, 2,
	5, 3, 3, 1, 6, 4, 4, 2, 2, 2,
	1, 2, 1, 4, 3, 3, 6, 3, 1, 1,
	1, 4, 4, 4, 2, 2, 4, 2, 2, 1,
	0, 4, 1, 1, 3, 3, 3, 3,
}
var yyChk = [...]int{

	-1000, -44, -34, -1, -23, -45, -46, 51, 79, 44,
	-47, -24, 10, -92, -93, 38, 119, 7, 21, 20,
	23, 30, 34, 35, 39, -69, 46, 98, 19, 14,
	-12, 48, 25, 27, 121, 40, 43, 36, -96, -99,
	-104, 97, -14, -13, 37, 52, 99, 53, 100, 54,
	-17, 59, 92, -16, 104, 105, 130, 129, 131, 132,
	-48, -153, 123, -166, 107, 108, 109, 110, 111, 112,
	113, 6, 133, -27, -169, -170, 118, 96, -18, 91,
	49, 50, 4, 5, 84, 85, 86, 11, -33, -30,
	-5, 117, 74, 62, 18, 60, 125, -19, -20, -21,
	-28, -35, 82, -9, 8, 9, 66, 67, 81, 63,
	64, 65, 80, -8, -43, -204, -10, -182, -7, 134,
	12, 123, -35, 119, 82, 10, -36, 37, 38, -2,
	-35, 82, 121, 135, 122, 10, -39, -48, 123, -57,
	-60, 123, -48, 121, -12, 97, -96, 98, 79, 121,
	-12, 121, -13, -17, -12, 121, -40, -25, 12, 134,
	-41, -96, 12, -70, -12, 121, 149, 150, 87, 89,
	88, 151, 128, 152, 163, 130, 129, 164, 167, 165,
	166, 161, 162, 155, 156, 153, 154, 157, 158, 159,
	160, 90, 127, 123, 123, -75, 119, -12, 10, -94,
	128, 10, 10, -13, -17, -12, 52, 52, 136, 137,
	138, 139, 148, 140, 141, 142, 143, 144, 145, 146,
	147, 123, -12, 104, 105, -16, -17, -35, 79, 82,
	-9, -10, 98, -16, -12, -12, -12, -12, -153, -12,
	-69, -12, -12, -12, -12, -12, -12, -12, -167, 123,
	-48, -168, 125, 125, -171, 17, -42, -31, 12, 76,
	77, -12, 57, -154, -9, -187, -35, 79, 82, -19,
	-8, -43, -10, 123, 123, -12, -12, 123, -12, -12,
	125, -42, 17, 17, 75, -42, 125, 123, -175, -208,
	-12, 128, 125, 125, 82, -177, -35, 78, 125, 119,
	-8, 134, 78, -186, 119, 124, 121, 119, -34, -35,
	121, 135, -37, -3, -35, 82, -38, -4, -35, 82,
	29, -35, 10, 136, -22, 120, -23, -45, -46, 51,
	-49, 122, -48, -23, -62, -144, -12, -67, 121, -94,
	121, 121, 121, 121, 135, -14, 119, -17, 121, 135,
	-94, 136, 121, 135, -158, -159, -160, -161, -12, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -154,
	-163, 122, -71, -91, -17, -17, -13, 123, -39, 121,
	121, 10, -172, -100, 55, -105, 58, -12, 128, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -12,
	-12, -109, -206, -17, 59, 82, -35, 78, 78, 124,
	124, 124, 124, -12, -11, -12, -11, 118, -31, -31,
	17, 125, 57, -12, 11, -17, -189, -205, -182, -180,
	-8, -43, 10, 119, -155, 78, 82, -35, 57, -8,
	78, -209, -210, -17, -13, -17, -13, -12, -11, 117,
	75, 75, -11, -175, 126, -197, 135, 58, -15, -17,
	-11, -11, 10, -119, 123, -179, -180, -182, 10, 52,
	-11, -12, -180, -182, 10, -119, -12, 121, -34, 120,
	-178, -2, 121, 135, 29, -35, 121, 135, 29, -35,
	10, 29, 136, -26, -193, -5, -29, -35, 79, 82,
	60, 125, -6, 62, -195, 18, 74, -9, 131, 132,
	130, 129, 123, 123, -23, -53, -58, 21, 121, 135,
	-68, 119, 122, -25, -12, 12, -174, -26, -12, -12,
	-12, -12, -12, -12, -165, 124, 135, 29, 29, -76,
	10, 120, -97, 123, -101, -81, -35, 79, 82, -106,
	55, -13, -17, -17, 91, 124, 135, 123, -35, -162,
	126, 126, -32, 10, 13, 12, 10, 120, 125, 120,
	-198, -202, -201, -203, 125, 119, -8, -12, -156, -119,
	-182, -35, -188, -182, 124, 135, 124, 124, 124, 126,
	126, 124, -12, 128, -12, 128, 126, 126, 124, -120,
	-69, -121, -13, -17, 128, 83, -119, -181, -183, 126,
	120, -184, -185, 120, 120, -119, -3, 10, 29, -4,
	10, 29, 10, -26, 125, 130, 129, 164, 167, 165,
	166, 151, 128, 152, 161, 162, 163, 88, 89, 87,
	150, 149, 155, 156, 153, 154, 157, 159, 158, 160,
	127, 82, -35, 123, -194, -196, -193, 17, 78, -193,
	-193, -193, -193, -193, 124, -50, -39, -59, -23, 122,
	-61, -63, -145, -110, 121, -110, 121, 120, 136, 123,
	122, -12, 121, -91, -72, -17, 128, 59, -72, 124,
	135, 136, -78, 41, 123, -98, -116, -117, -118, 60,
	61, -81, -102, 56, 82, -35, 119, -107, -81, -154,
	136, -206, -207, -151, -152, 126, -12, -199, 125, 125,
	-119, -11, -12, 120, -189, -211, 58, -15, -15, 124,
	135, 124, -15, -12, -119, -119, -119, -119, 10, 10,
	-193, -193, -193, -193, -193, -193, -193, -193, -193, -193,
	-193, -193, -193, -193, -193, -193, -193, -193, -193, -193,
	-193, -193, -193, -193, -193, -193, 122, -193, -35, -194,
	126, -197, 135, 58, 10, 52, 124, 121, -51, -54,
	-39, -48, -62, -12, 120, 32, 33, -110, 31, -110,
	-26, -98, -164, -73, 58, -17, 123, -73, -77, -23,
	122, 10, -26, -79, 42, 123, -98, 124, 135, -94,
	119, -107, -35, -103, 135, -157, -12, -109, -149, -148,
	-146, 125, -147, 57, 126, -147, -11, -11, 126, 120,
	-190, -210, -12, 128, -121, 126, -193, 122, 124, -193,
	-193, -52, 93, 94, -55, 22, 121, 121, -12, -111,
	122, 121, 120, 121, 31, 124, -12, 124, -72, -108,
	124, -39, 136, -86, -80, 124, -173, 44, -117, -95,
	83, -103, 120, -122, -123, -126, -127, -128, -143, 47,
	38, 44, -142, 103, 102, 101, 98, 99, 100, -81,
	-156, 124, 125, -150, -147, -11, -189, 120, 126, 126,
	-191, -15, -193, 58, -48, -23, -56, 93, 94, 121,
	-64, -111, -113, 121, -173, -74, -23, 122, -109, -74,
	28, -26, 119, -81, 119, 119, 123, 12, 120, -124,
	121, 135, -96, -142, 10, -131, -81, -11, -146, 126,
	-200, -192, 57, -193, -114, 95, -48, 122, -62, -112,
	-39, 119, -39, 124, 121, -39, -82, -39, -39, -176,
	12, 128, 136, -125, 12, 10, -94, 136, -132, 135,
	121, 119, 126, -198, -189, -23, 121, 122, -39, 124,
	-39, -39, 26, 120, 12, 120, 120, 124, 135, 12,
	-26, 121, 135, 136, 136, 10, -26, -81, -133, -134,
	-135, -136, -137, -138, -140, -81, 10, -115, -65, 120,
	121, 124, 12, 128, 12, -26, -26, -129, 120, -135,
	121, 121, 45, 29, 78, -39, -66, -23, 122, -83,
	12, 136, 123, -139, -81, -141, -142, 10, -39, 119,
	-26, -98, 135, 10, 24, -39, 124, -81, 121, 120,
	-130, 121, 119, -84, -39, -85, -87, -88, 41, 120,
	-88, 123, -81, -89, 12, 124, -90, 119, -39, 120,
}
var yyDef = [...]int{

	3, -2, 1, 2, 6, 7, 8, 0, 0, 0,
	0, 43, 4, 105, 106, 0, 38, 0, 52, 55,
	0, 0, 0, 0, 0, 0, 0, 383, 0, 75,
	0, 0, 0, 80, 82, 0, 0, 0, 107, 0,
	0, 345, 483, 484, 360, 117, 0, 119, 0, 123,
	-2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	320, 321, 0, 329, 0, 0, 0, 0, 0, 0,
	0, 399, 338, 340, 341, 342, 402, 0, 491, 0,
	0, 0, 0, 0, 0, 0, 0, 468, 469, 470,
	471, 0, 0, 474, 409, 0, 538, 510, 511, 512,
	464, -2, 0, 0, 407, 408, 410, 411, 412, 413,
	414, 415, 416, -2, 0, 515, 0, 381, 518, 530,
	519, 0, 0, 3, 0, 4, 0, 0, 0, 18,
	19, 0, 16, 0, 44, 0, 0, 46, 0, 0,
	0, 246, 62, 64, 0, 345, 107, 383, 0, 66,
	0, 68, 484, -2, 0, 71, 0, 187, 188, 0,
	0, 107, 193, 0, 245, 76, 286, 288, 290, 292,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 324, 0, 0, 0, 38, 0, 0, 346,
	108, 121, 115, -2, -2, 0, 118, 120, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 537, 269, 282, 284, 283, 489, -2, 0, 0,
	0, 0, 383, 285, 307, 308, 309, 310, 321, 0,
	0, 330, 331, 332, 333, 334, 335, 336, 337, 0,
	401, 0, 521, 521, 0, 403, 404, 550, 552, 0,
	0, 344, 0, 262, 390, 391, 384, 0, 0, 395,
	-2, 0, 0, 0, 0, 564, 565, 0, 567, 568,
	521, 0, 0, 0, 418, 0, 521, 538, 0, 477,
	543, 0, 521, 521, 0, 0, -2, 0, 521, 0,
	-2, 531, 0, 0, 0, 0, 10, 3, 0, -2,
	13, 0, 0, 24, 25, 0, 0, 30, 31, 0,
	0, 21, 0, 0, 37, 45, 39, 40, 41, 0,
	0, 49, 53, 0, 0, 247, 250, 0, 65, 346,
	67, 69, 70, 72, 0, 189, 0, 487, 73, 0,
	348, 0, 74, 0, 0, 0, 0, 0, 294, 295,
	296, 297, 298, 299, 300, 301, 302, 303, 304, 305,
	306, -2, -2, -2, -2, -2, -2, -2, -2, 319,
	0, 327, 0, 102, 104, -2, 484, 0, 0, 84,
	85, 111, 0, 113, 0, 124, 0, 265, 0, 270,
	271, 272, 273, 274, 275, 276, 277, 278, 279, 280,
	281, 0, 533, 534, 0, 0, -2, 0, 0, 322,
	485, 486, 400, 339, 0, 522, 0, 343, 551, 548,
	549, 0, 0, 0, 468, 0, -2, 523, 524, 527,
	503, 0, 528, 0, 405, 0, 0, 386, 392, 514,
	0, 0, 569, -2, -2, -2, 484, 0, 0, 472,
	417, 473, 0, 0, 359, 539, 478, 0, 547, 488,
	0, 0, 5, 368, 0, 0, 373, -2, -2, 577,
	0, 0, 377, -2, -2, 382, 0, 9, 0, 12,
	0, 17, 14, 0, 0, 27, 15, 0, 0, 33,
	20, 0, 0, 36, 420, 421, 422, -2, 0, 0,
	0, 475, 428, 429, 430, 409, 0, 0, 0, 0,
	0, 0, 0, 0, 47, 38, 0, 56, 58, 248,
	63, 148, 148, 186, 0, 191, 0, 194, 244, 287,
	289, 291, 293, 0, 0, 0, 0, 0, 0, 0,
	0, 86, 0, -2, 126, 122, 387, 0, 0, 0,
	0, -2, -2, 266, 0, 0, 537, 535, -2, -2,
	355, 354, 0, 558, 559, 560, 554, 555, 0, 557,
	493, 500, 501, 0, 521, 0, 504, 0, 263, 406,
	505, 385, 0, 506, 561, 570, 562, 563, 566, 357,
	356, 358, 541, 0, 542, 0, 508, 509, 177, 0,
	0, 180, -2, -2, 0, 0, 372, 0, 0, 516,
	517, 0, 0, 520, 11, 370, 23, 26, 0, 29,
	32, 0, 22, 35, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, -2, 475, 0, 477, 482, 0, 0, 438,
	439, 461, 462, 0, 0, 157, 50, 54, 155, 38,
	0, 246, 0, 0, 148, 0, 148, 190, 0, -2,
	325, 328, 77, 103, 130, 132, 0, 0, 130, 0,
	0, 0, 92, 0, -2, 0, 167, 169, 107, 174,
	175, 176, 0, 0, 0, 389, 196, 125, 128, 267,
	0, 532, 537, 323, 0, 553, 0, 490, 521, 521,
	499, 0, 0, 529, 393, 0, 0, 545, 546, 178,
	0, 179, 184, 185, 374, 376, 378, 380, 28, 34,
	0, 432, 433, 434, 435, 436, 437, 440, 441, 442,
	443, 444, 445, 446, 447, 448, 449, 450, -2, -2,
	-2, -2, -2, -2, -2, -2, 0, 0, -2, 0,
	427, 476, 478, 0, 419, 576, 463, 42, 163, 160,
	0, 0, 0, 249, 144, 0, 0, 0, 0, 0,
	192, 0, 0, 0, 0, 133, 134, 0, 81, 140,
	38, 0, 142, 83, 93, 87, 0, 361, 173, 109,
	196, 127, 388, 228, 0, 405, 264, 0, 261, -2,
	258, 521, 252, 0, 0, 492, 0, 0, 525, 526,
	397, 571, 540, 0, 181, 431, 459, 0, 426, 480,
	481, 48, 0, 0, 165, 0, 57, 59, 0, 151,
	153, 154, 145, 146, 0, 361, 326, 0, 131, 537,
	0, 0, 0, 0, 0, 0, 0, 0, 170, 0,
	110, 228, 116, 195, 197, 0, 200, 0, -2, 227,
	0, 0, 230, 232, 233, 234, 235, 236, 237, 129,
	268, 536, 521, 0, 251, 0, 494, 556, 497, 496,
	394, 544, 460, 0, 158, 164, 0, 0, 0, 156,
	246, 149, 38, 147, 0, 78, 138, 38, 0, 79,
	0, 143, 38, 88, 38, 38, 0, 171, 114, 0,
	199, 0, 107, 231, 0, 0, 204, 0, 256, 254,
	-2, 396, 0, 479, 0, 0, 0, 38, 0, 38,
	152, 38, 0, 135, 141, 0, 0, 0, 0, 0,
	365, 0, 0, 0, 240, 0, 0, 0, 203, 0,
	206, 208, 253, 495, 398, 159, 51, 161, 166, 60,
	150, 0, 0, 94, 0, 112, 347, 362, 0, 366,
	172, 198, 0, 0, 0, 201, 243, 205, 0, 209,
	210, 0, 0, 218, 0, 0, -2, 38, 0, 349,
	139, 89, 363, 0, 238, 241, 242, 0, 207, 211,
	212, 213, 0, 222, 0, 162, 61, 136, 38, 0,
	364, 0, -2, 214, 215, 0, -2, 219, 0, 38,
	239, 0, 0, 220, 0, 0, 0, 216, 137, 90,
	202, 224, 38, 96, 0, 91, 95, 97, 0, 225,
	98, 0, 99, 0, 0, 100, 0, 38, 0, 101,
}
var yyTok1 = [...]int{

	1, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 131, 117, 3, 134, 166, 128, 3,
	123, 124, 164, 130, 135, 129, 163, 165, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 122, 121,
	157, 136, 159, 127, 133, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 125, 3, 126, 152, 3, 118, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 119, 151, 120, 132,
}
var yyTok2 = [...]int{

	2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
	12, 13, 14, 15, 16, 17, 18, 19, 20, 21,
	22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
	32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
	42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
	52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
	62, 63, 64, 65, 66, 67, 68, 69, 70, 71,
	72, 73, 74, 75, 76, 77, 78, 79, 80, 81,
	82, 83, 84, 85, 86, 87, 88, 89, 90, 91,
	92, 93, 94, 95, 96, 97, 98, 99, 100, 101,
	102, 103, 104, 105, 106, 107, 108, 109, 110, 111,
	112, 113, 114, 115, 116, 137, 138, 139, 140, 141,
	142, 143, 144, 145, 146, 147, 148, 149, 150, 153,
	154, 155, 156, 158, 160, 161, 162, 167,
}
var yyTok3 = [...]int{
	0,
}

var yyErrorMessages = [...]struct {
	state int
	token int
	msg   string
}{}

//line yaccpar:1

/*	parser for yacc output	*/

var (
	yyDebug        = 0
	yyErrorVerbose = false
)

type yyLexer interface {
	Lex(lval *yySymType) int
	Error(s string)
}

type yyParser interface {
	Parse(yyLexer) int
	Lookahead() int
}

type yyParserImpl struct {
	lval  yySymType
	stack [yyInitialStackSize]yySymType
	char  int
}

func (p *yyParserImpl) Lookahead() int {
	return p.char
}

func yyNewParser() yyParser {
	return &yyParserImpl{}
}

const yyFlag = -1000

func yyTokname(c int) string {
	if c >= 1 && c-1 < len(yyToknames) {
		if yyToknames[c-1] != "" {
			return yyToknames[c-1]
		}
	}
	return __yyfmt__.Sprintf("tok-%v", c)
}

func yyStatname(s int) string {
	if s >= 0 && s < len(yyStatenames) {
		if yyStatenames[s] != "" {
			return yyStatenames[s]
		}
	}
	return __yyfmt__.Sprintf("state-%v", s)
}

func yyErrorMessage(state, lookAhead int) string {
	const TOKSTART = 4

	if !yyErrorVerbose {
		return "syntax error"
	}

	for _, e := range yyErrorMessages {
		if e.state == state && e.token == lookAhead {
			return "syntax error: " + e.msg
		}
	}

	res := "syntax error: unexpected " + yyTokname(lookAhead)

	// To match Bison, suggest at most four expected tokens.
	expected := make([]int, 0, 4)

	// Look for shiftable tokens.
	base := yyPact[state]
	for tok := TOKSTART; tok-1 < len(yyToknames); tok++ {
		if n := base + tok; n >= 0 && n < yyLast && yyChk[yyAct[n]] == tok {
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}
	}

	if yyDef[state] == -2 {
		i := 0
		for yyExca[i] != -1 || yyExca[i+1] != state {
			i += 2
		}

		// Look for tokens that we accept or reduce.
		for i += 2; yyExca[i] >= 0; i += 2 {
			tok := yyExca[i]
			if tok < TOKSTART || yyExca[i+1] == 0 {
				continue
			}
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}

		// If the default action is to accept or reduce, give up.
		if yyExca[i+1] != 0 {
			return res
		}
	}

	for i, tok := range expected {
		if i == 0 {
			res += ", expecting "
		} else {
			res += " or "
		}
		res += yyTokname(tok)
	}
	return res
}

func yylex1(lex yyLexer, lval *yySymType) (char, token int) {
	token = 0
	char = lex.Lex(lval)
	if char <= 0 {
		token = yyTok1[0]
		goto out
	}
	if char < len(yyTok1) {
		token = yyTok1[char]
		goto out
	}
	if char >= yyPrivate {
		if char < yyPrivate+len(yyTok2) {
			token = yyTok2[char-yyPrivate]
			goto out
		}
	}
	for i := 0; i < len(yyTok3); i += 2 {
		token = yyTok3[i+0]
		if token == char {
			token = yyTok3[i+1]
			goto out
		}
	}

out:
	if token == 0 {
		token = yyTok2[1] /* unknown char */
	}
	if yyDebug >= 3 {
		__yyfmt__.Printf("lex %s(%d)\n", yyTokname(token), uint(char))
	}
	return char, token
}

func yyParse(yylex yyLexer) int {
	return yyNewParser().Parse(yylex)
}

func (yyrcvr *yyParserImpl) Parse(yylex yyLexer) int {
	var yyn int
	var yyVAL yySymType
	var yyDollar []yySymType
	_ = yyDollar // silence set and not used
	yyS := yyrcvr.stack[:]

	Nerrs := 0   /* number of errors */
	Errflag := 0 /* error recovery flag */
	yystate := 0
	yyrcvr.char = -1
	yytoken := -1 // yyrcvr.char translated into internal numbering
	defer func() {
		// Make sure we report no lookahead when not parsing.
		yystate = -1
		yyrcvr.char = -1
		yytoken = -1
	}()
	yyp := -1
	goto yystack

ret0:
	return 0

ret1:
	return 1

yystack:
	/* put a state and value onto the stack */
	if yyDebug >= 4 {
		__yyfmt__.Printf("char %v in %v\n", yyTokname(yytoken), yyStatname(yystate))
	}

	yyp++
	if yyp >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyS[yyp] = yyVAL
	yyS[yyp].yys = yystate

yynewstate:
	yyn = yyPact[yystate]
	if yyn <= yyFlag {
		goto yydefault /* simple state */
	}
	if yyrcvr.char < 0 {
		yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
	}
	yyn += yytoken
	if yyn < 0 || yyn >= yyLast {
		goto yydefault
	}
	yyn = yyAct[yyn]
	if yyChk[yyn] == yytoken { /* valid shift */
		yyrcvr.char = -1
		yytoken = -1
		yyVAL = yyrcvr.lval
		yystate = yyn
		if Errflag > 0 {
			Errflag--
		}
		goto yystack
	}

yydefault:
	/* default state action */
	yyn = yyDef[yystate]
	if yyn == -2 {
		if yyrcvr.char < 0 {
			yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
		}

		/* look through exception table */
		xi := 0
		for {
			if yyExca[xi+0] == -1 && yyExca[xi+1] == yystate {
				break
			}
			xi += 2
		}
		for xi += 2; ; xi += 2 {
			yyn = yyExca[xi+0]
			if yyn < 0 || yyn == yytoken {
				break
			}
		}
		yyn = yyExca[xi+1]
		if yyn < 0 {
			goto ret0
		}
	}
	if yyn == 0 {
		/* error ... attempt to resume parsing */
		switch Errflag {
		case 0: /* brand new error */
			yylex.Error(yyErrorMessage(yystate, yytoken))
			Nerrs++
			if yyDebug >= 1 {
				__yyfmt__.Printf("%s", yyStatname(yystate))
				__yyfmt__.Printf(" saw %s\n", yyTokname(yytoken))
			}
			fallthrough

		case 1, 2: /* incompletely recovered error ... try again */
			Errflag = 3

			/* find a state where "error" is a legal shift action */
			for yyp >= 0 {
				yyn = yyPact[yyS[yyp].yys] + yyErrCode
				if yyn >= 0 && yyn < yyLast {
					yystate = yyAct[yyn] /* simulate a shift of "error" */
					if yyChk[yystate] == yyErrCode {
						goto yystack
					}
				}

				/* the current p has no shift on "error", pop stack */
				if yyDebug >= 2 {
					__yyfmt__.Printf("error recovery pops state %d\n", yyS[yyp].yys)
				}
				yyp--
			}
			/* there is no state on the stack with an error shift ... abort */
			goto ret1

		case 3: /* no shift yet; clobber input char */
			if yyDebug >= 2 {
				__yyfmt__.Printf("error recovery discards %s\n", yyTokname(yytoken))
			}
			if yytoken == yyEofCode {
				goto ret1
			}
			yyrcvr.char = -1
			yytoken = -1
			goto yynewstate /* try again in the same state */
		}
	}

	/* reduction by production yyn */
	if yyDebug >= 2 {
		__yyfmt__.Printf("reduce %v in:\n\t%v\n", yyn, yyStatname(yystate))
	}

	yynt := yyn
	yypt := yyp
	_ = yypt // guard against "declared and not used"

	yyp -= yyR2[yyn]
	// yyp is now the index of $0. Perform the default action. Iff the
	// reduced production is ε, $1 is possibly out of range.
	if yyp+1 >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyVAL = yyS[yyp+1]

	/* consult goto table to find next state */
	yyn = yyR1[yyn]
	yyg := yyPgo[yyn]
	yyj := yyg + yyS[yyp].yys + 1

	if yyj >= yyLast {
		yystate = yyAct[yyg]
	} else {
		yystate = yyAct[yyj]
		if yyChk[yystate] != -yyn {
			yystate = yyAct[yyg]
		}
	}
	// dummy call; replaced with literal code
	switch yynt {

	case 1:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:212
		{
			rootnode = stmt.NewStmtList(yyDollar[1].list)
		}
	case 2:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:218
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 3:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:219
		{
			yyVAL.list = []node.Node{}
		}
	case 4:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:224
		{
			namePart := name.NewNamePart(yyDollar[1].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{namePart}
			comments.AddComments(namePart, yyDollar[1].token.Comments())
		}
	case 5:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:231
		{
			namePart := name.NewNamePart(yyDollar[3].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.list = append(yyDollar[1].list, namePart)
			comments.AddComments(namePart, yyDollar[3].token.Comments())
		}
	case 6:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:240
		{
			yyVAL.node = yyDollar[1].node
		}
	case 7:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:241
		{
			yyVAL.node = nil
		}
	case 8:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:242
		{
			yyVAL.node = nil
		}
	case 9:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:243
		{
			yyVAL.node = stmt.NewHaltCompiler()
		}
	case 10:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:245
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 11:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:255
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, yyDollar[4].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[5].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 12:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:265
		{
			yyVAL.node = stmt.NewNamespace(nil, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 13:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:271
		{
			yyVAL.node = stmt.NewUseList(nil, yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 14:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:277
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 15:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:287
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 16:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:296
		{
			yyVAL.node = nil
		}
	case 17:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:300
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 18:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:301
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 19:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:306
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 20:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:316
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 21:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:329
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 22:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:339
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 23:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:355
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 24:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:359
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 25:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:366
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 26:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:376
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 27:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:389
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 28:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:399
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 29:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:415
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 30:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:419
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 31:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:426
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 32:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:436
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 33:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:449
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 34:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:459
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 35:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:474
		{
		}
	case 36:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:475
		{
		}
	case 37:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:479
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 38:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:480
		{
			yyVAL.list = []node.Node{}
		}
	case 39:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:485
		{
			yyVAL.node = yyDollar[1].node
		}
	case 40:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:486
		{
			yyVAL.node = nil
		}
	case 41:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:487
		{
		}
	case 42:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:488
		{
		}
	case 43:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:493
		{
			yyVAL.node = yyDollar[1].node
		}
	case 44:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:494
		{
		}
	case 45:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:498
		{
		}
	case 46:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:499
		{
		}
	case 47:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:499
		{
		}
	case 48:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:499
		{
		}
	case 49:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:500
		{
		}
	case 50:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:500
		{
		}
	case 51:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:500
		{
		}
	case 52:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:501
		{
		}
	case 53:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:501
		{
		}
	case 54:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:501
		{
		}
	case 55:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 56:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 57:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 58:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:506
		{
		}
	case 59:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:508
		{
		}
	case 60:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:510
		{
		}
	case 61:
		yyDollar = yyS[yypt-12 : yypt+1]
		//line php5/php5.y:511
		{
		}
	case 62:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:512
		{
		}
	case 63:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:512
		{
		}
	case 64:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:513
		{
		}
	case 65:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:514
		{
		}
	case 66:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:515
		{
		}
	case 67:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:516
		{
		}
	case 68:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:517
		{
		}
	case 69:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:518
		{
		}
	case 70:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:519
		{
		}
	case 71:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:520
		{
		}
	case 72:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:521
		{
		}
	case 73:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:522
		{
		}
	case 74:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:523
		{
		}
	case 75:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:524
		{
		}
	case 76:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:525
		{
			yyVAL.node = yyDollar[1].node
		}
	case 77:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 78:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:527
		{
		}
	case 79:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:528
		{
		}
	case 80:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:529
		{
		}
	case 81:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:529
		{
		}
	case 82:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:530
		{
		}
	case 83:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:531
		{
		}
	case 84:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:532
		{
		}
	case 85:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:533
		{
		}
	case 86:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:537
		{
		}
	case 87:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:538
		{
		}
	case 88:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:539
		{
		}
	case 89:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:540
		{
		}
	case 90:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:541
		{
		}
	case 91:
		yyDollar = yyS[yypt-13 : yypt+1]
		//line php5/php5.y:542
		{
		}
	case 92:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 93:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:546
		{
		}
	case 94:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:546
		{
		}
	case 95:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:550
		{
		}
	case 96:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:551
		{
		}
	case 97:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:555
		{
		}
	case 98:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:556
		{
		}
	case 99:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:560
		{
		}
	case 100:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:560
		{
		}
	case 101:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:560
		{
		}
	case 104:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:569
		{
		}
	case 105:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:573
		{
		}
	case 106:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:577
		{
		}
	case 107:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:581
		{
		}
	case 108:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:582
		{
		}
	case 109:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:586
		{
		}
	case 110:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:587
		{
		}
	case 111:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:591
		{
		}
	case 112:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:593
		{
		}
	case 113:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:598
		{
		}
	case 114:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:602
		{
		}
	case 115:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:604
		{
		}
	case 116:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:608
		{
		}
	case 117:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:613
		{
		}
	case 118:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:614
		{
		}
	case 119:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:615
		{
		}
	case 120:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:616
		{
		}
	case 121:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:620
		{
		}
	case 122:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:621
		{
		}
	case 123:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:625
		{
		}
	case 128:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:639
		{
		}
	case 129:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:640
		{
		}
	case 130:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:644
		{
		}
	case 131:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:645
		{
		}
	case 132:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:649
		{
		}
	case 133:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:650
		{
		}
	case 134:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:651
		{
		}
	case 135:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:651
		{
		}
	case 142:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:673
		{
		}
	case 143:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:674
		{
		}
	case 144:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:679
		{
		}
	case 145:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:680
		{
		}
	case 146:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:681
		{
		}
	case 147:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:682
		{
		}
	case 148:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:687
		{
		}
	case 149:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 150:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 151:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:689
		{
		}
	case 152:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:689
		{
		}
	case 158:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:708
		{
		}
	case 159:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:708
		{
		}
	case 161:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:714
		{
		}
	case 162:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:714
		{
		}
	case 171:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:743
		{
		}
	case 172:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:745
		{
		}
	case 173:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:750
		{
		}
	case 174:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:751
		{
		}
	case 175:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:752
		{
		}
	case 176:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:753
		{
		}
	case 177:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:758
		{
		}
	case 178:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:759
		{
		}
	case 179:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:760
		{
		}
	case 182:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:770
		{
		}
	case 183:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:771
		{
		}
	case 184:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:772
		{
		}
	case 185:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:773
		{
		}
	case 186:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:777
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 187:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:778
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 188:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:784
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 189:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:794
		{
			yyVAL.node = expr.NewVariable(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 190:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:800
		{
			yyVAL.node = expr.NewVariable(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 191:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:810
		{
			identifier := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[3].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[3].token))

			staticVar := stmt.NewStaticVar(variable, nil)
			positions.AddPosition(staticVar, positionBuilder.NewTokenPosition(yyDollar[3].token))

			yyVAL.list = append(yyDollar[1].list, staticVar)

			comments.AddComments(identifier, yyDollar[3].token.Comments())
			comments.AddComments(variable, yyDollar[3].token.Comments())
			comments.AddComments(staticVar, yyDollar[3].token.Comments())
		}
	case 192:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:827
		{
			identifier := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[3].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[3].token))

			staticVar := stmt.NewStaticVar(variable, yyDollar[5].node)
			positions.AddPosition(staticVar, positionBuilder.NewTokenNodePosition(yyDollar[3].token, yyDollar[5].node))

			yyVAL.list = append(yyDollar[1].list, staticVar)

			comments.AddComments(identifier, yyDollar[3].token.Comments())
			comments.AddComments(variable, yyDollar[3].token.Comments())
			comments.AddComments(staticVar, yyDollar[3].token.Comments())
		}
	case 193:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:844
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))

			staticVar := stmt.NewStaticVar(variable, nil)
			positions.AddPosition(staticVar, positionBuilder.NewTokenPosition(yyDollar[1].token))

			yyVAL.list = []node.Node{staticVar}

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(staticVar, yyDollar[1].token.Comments())
		}
	case 194:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:861
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))

			staticVar := stmt.NewStaticVar(variable, yyDollar[3].node)
			positions.AddPosition(staticVar, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[3].node))

			yyVAL.list = []node.Node{staticVar}

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(staticVar, yyDollar[1].token.Comments())
		}
	case 197:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:888
		{
		}
	case 201:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:891
		{
		}
	case 202:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line php5/php5.y:893
		{
		}
	case 204:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:901
		{
		}
	case 205:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:902
		{
		}
	case 214:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:926
		{
		}
	case 215:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:930
		{
		}
	case 216:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:931
		{
		}
	case 217:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:935
		{
		}
	case 218:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:936
		{
		}
	case 219:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:940
		{
		}
	case 220:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:944
		{
		}
	case 221:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:945
		{
		}
	case 222:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:949
		{
		}
	case 223:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:950
		{
		}
	case 224:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:954
		{
		}
	case 225:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:955
		{
		}
	case 226:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:959
		{
		}
	case 227:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:960
		{
		}
	case 228:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:964
		{
		}
	case 229:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:965
		{
		}
	case 230:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:969
		{
		}
	case 231:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:970
		{
		}
	case 232:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:974
		{
		}
	case 233:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 234:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:976
		{
		}
	case 235:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:977
		{
		}
	case 236:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:978
		{
		}
	case 237:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:979
		{
		}
	case 238:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:983
		{
		}
	case 239:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:984
		{
		}
	case 240:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:985
		{
		}
	case 241:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:986
		{
		}
	case 242:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:990
		{
		}
	case 243:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:991
		{
		}
	case 244:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:995
		{
		}
	case 245:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:996
		{
		}
	case 246:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1001
		{
		}
	case 247:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1002
		{
		}
	case 248:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 249:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 250:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1007
		{
		}
	case 251:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1011
		{
		}
	case 252:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1012
		{
		}
	case 253:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1016
		{
		}
	case 254:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1017
		{
		}
	case 255:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 256:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 257:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1022
		{
		}
	case 258:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1023
		{
		}
	case 259:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1027
		{
		}
	case 260:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1028
		{
		}
	case 261:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1029
		{
		}
	case 262:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1033
		{
		}
	case 263:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1033
		{
		}
	case 264:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1037
		{
			yyVAL.node = nil
		}
	case 265:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1038
		{
		}
	case 266:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1039
		{
		}
	case 267:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1040
		{
		}
	case 268:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1040
		{
		}
	case 269:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1041
		{
		}
	case 270:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1042
		{
		}
	case 271:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1043
		{
		}
	case 272:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1044
		{
		}
	case 273:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1045
		{
		}
	case 274:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1046
		{
		}
	case 275:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1047
		{
		}
	case 276:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1048
		{
		}
	case 277:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1049
		{
		}
	case 278:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1050
		{
		}
	case 279:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1051
		{
		}
	case 280:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1052
		{
		}
	case 281:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1053
		{
		}
	case 282:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1054
		{
		}
	case 283:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1055
		{
		}
	case 284:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1056
		{
		}
	case 285:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1057
		{
		}
	case 286:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1058
		{
		}
	case 287:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1058
		{
		}
	case 288:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1059
		{
		}
	case 289:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1059
		{
		}
	case 290:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1060
		{
		}
	case 291:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1060
		{
		}
	case 292:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1061
		{
		}
	case 293:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1061
		{
		}
	case 294:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1062
		{
		}
	case 295:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1063
		{
		}
	case 296:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1064
		{
		}
	case 297:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1065
		{
		}
	case 298:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1066
		{
		}
	case 299:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1067
		{
		}
	case 300:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1068
		{
		}
	case 301:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1069
		{
		}
	case 302:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1070
		{
		}
	case 303:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1071
		{
		}
	case 304:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1072
		{
		}
	case 305:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1073
		{
		}
	case 306:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1074
		{
		}
	case 307:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1075
		{
		}
	case 308:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1076
		{
		}
	case 309:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1077
		{
		}
	case 310:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1078
		{
		}
	case 311:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1079
		{
		}
	case 312:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1080
		{
		}
	case 313:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1081
		{
		}
	case 314:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1082
		{
		}
	case 315:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1083
		{
		}
	case 316:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1084
		{
		}
	case 317:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1085
		{
		}
	case 318:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1086
		{
		}
	case 319:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1087
		{
		}
	case 320:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1088
		{
		}
	case 321:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1089
		{
		}
	case 322:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1090
		{
		}
	case 323:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1090
		{
		}
	case 324:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1091
		{
		}
	case 325:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1092
		{
		}
	case 326:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1093
		{
		}
	case 327:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1094
		{
		}
	case 328:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1095
		{
		}
	case 329:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1096
		{
		}
	case 330:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1097
		{
		}
	case 331:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1098
		{
		}
	case 332:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1099
		{
		}
	case 333:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1100
		{
		}
	case 334:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1101
		{
		}
	case 335:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1102
		{
		}
	case 336:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1103
		{
		}
	case 337:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1104
		{
		}
	case 338:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1105
		{
		}
	case 339:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1105
		{
		}
	case 340:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1106
		{
		}
	case 341:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1107
		{
		}
	case 342:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1108
		{
		}
	case 343:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1109
		{
		}
	case 344:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1110
		{
		}
	case 345:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1111
		{
		}
	case 346:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1112
		{
		}
	case 347:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:1114
		{
		}
	case 348:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1115
		{
		}
	case 349:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:1117
		{
		}
	case 350:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1121
		{
		}
	case 351:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1122
		{
		}
	case 352:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1123
		{
		}
	case 353:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1124
		{
		}
	case 354:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1128
		{
		}
	case 355:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1129
		{
		}
	case 356:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1130
		{
		}
	case 357:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1131
		{
		}
	case 358:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1135
		{
		}
	case 359:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1136
		{
		}
	case 360:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1140
		{
		}
	case 363:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1149
		{
		}
	case 364:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1150
		{
		}
	case 365:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1151
		{
		}
	case 366:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1152
		{
		}
	case 367:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1156
		{
		}
	case 368:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1157
		{
		}
	case 369:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1158
		{
		}
	case 370:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1159
		{
		}
	case 371:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1160
		{
		}
	case 372:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1161
		{
		}
	case 373:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1162
		{
		}
	case 374:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1163
		{
		}
	case 375:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1164
		{
		}
	case 376:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1165
		{
		}
	case 377:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1166
		{
		}
	case 378:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1167
		{
		}
	case 379:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1168
		{
		}
	case 380:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1169
		{
		}
	case 381:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1170
		{
		}
	case 382:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1171
		{
		}
	case 383:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1176
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 384:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1182
		{
			yyVAL.node = name.NewName(yyDollar[1].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 385:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1188
		{
			yyVAL.node = name.NewRelative(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[3].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 386:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1194
		{
			yyVAL.node = name.NewFullyQualified(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 387:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1202
		{
		}
	case 388:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1203
		{
		}
	case 389:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1204
		{
		}
	case 390:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1210
		{
		}
	case 391:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1211
		{
		}
	case 392:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1216
		{
		}
	case 393:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1217
		{
		}
	case 394:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1218
		{
		}
	case 395:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1219
		{
		}
	case 398:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1230
		{
		}
	case 399:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1234
		{
		}
	case 400:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1235
		{
		}
	case 401:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1236
		{
		}
	case 402:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1240
		{
		}
	case 403:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1241
		{
		}
	case 404:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1242
		{
		}
	case 405:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1246
		{
		}
	case 406:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1247
		{
		}
	case 407:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1252
		{
			yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 408:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1258
		{
			yyVAL.node = scalar.NewDnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 409:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1263
		{
			yyVAL.node = nil
		}
	case 410:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1265
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 411:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1271
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 412:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1277
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 413:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1283
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 414:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1289
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 415:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1295
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 416:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1301
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 417:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1307
		{
			yyVAL.node = scalar.NewString(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token)) /* TODO: mark as Heredoc*/
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 418:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1312
		{
			yyVAL.node = scalar.NewEncapsed(nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 419:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1321
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 420:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1333
		{
		}
	case 421:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1337
		{
		}
	case 422:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1338
		{
		}
	case 423:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1339
		{
		}
	case 424:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1340
		{
		}
	case 425:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1341
		{
		}
	case 426:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1342
		{
		}
	case 427:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1343
		{
		}
	case 428:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1344
		{
		}
	case 429:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1345
		{
		}
	case 430:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1346
		{
		}
	case 431:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1350
		{
		}
	case 432:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1351
		{
		}
	case 433:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1352
		{
		}
	case 434:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1353
		{
		}
	case 435:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1354
		{
		}
	case 436:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1355
		{
		}
	case 437:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1356
		{
		}
	case 438:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1357
		{
		}
	case 439:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1358
		{
		}
	case 440:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1359
		{
		}
	case 441:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1360
		{
		}
	case 442:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1361
		{
		}
	case 443:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1362
		{
		}
	case 444:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1363
		{
		}
	case 445:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1364
		{
		}
	case 446:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1365
		{
		}
	case 447:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1366
		{
		}
	case 448:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1367
		{
		}
	case 449:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1368
		{
		}
	case 450:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1369
		{
		}
	case 451:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1370
		{
		}
	case 452:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1371
		{
		}
	case 453:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1372
		{
		}
	case 454:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1373
		{
		}
	case 455:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1374
		{
		}
	case 456:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1375
		{
		}
	case 457:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1376
		{
		}
	case 458:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1377
		{
		}
	case 459:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1378
		{
		}
	case 460:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1379
		{
		}
	case 461:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1380
		{
		}
	case 462:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1381
		{
		}
	case 463:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1382
		{
		}
	case 464:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1386
		{
		}
	case 465:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1387
		{
		}
	case 466:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1388
		{
		}
	case 467:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1389
		{
		}
	case 468:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1394
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 469:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1404
		{
			yyVAL.node = yyDollar[1].node
		}
	case 470:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1406
		{
			yyVAL.node = yyDollar[1].node
		}
	case 471:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1408
		{
			yyVAL.node = yyDollar[1].node
		}
	case 472:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1410
		{
			yyVAL.node = scalar.NewEncapsed(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 473:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1416
		{
			yyVAL.node = scalar.NewEncapsed(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 474:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1422
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 475:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1430
		{
		}
	case 476:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1431
		{
		}
	case 479:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1440
		{
		}
	case 480:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1441
		{
		}
	case 481:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1442
		{
		}
	case 482:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1443
		{
		}
	case 483:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1447
		{
			yyVAL.node = yyDollar[1].node
		}
	case 484:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1448
		{
		}
	case 485:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1452
		{
		}
	case 486:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1453
		{
		}
	case 487:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1459
		{
			yyVAL.node = yyDollar[1].node
		}
	case 488:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1467
		{
			yyVAL.node = yyDollar[1].node
		}
	case 489:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1474
		{
			yyVAL.node = yyDollar[1].node
		}
	case 490:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1481
		{
		}
	case 491:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1483
		{
			yyVAL.node = yyDollar[1].node
		}
	case 492:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1487
		{
		}
	case 493:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1488
		{
		}
	case 494:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1493
		{
		}
	case 495:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1493
		{
		}
	case 496:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1497
		{
		}
	case 497:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1498
		{
		}
	case 498:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1502
		{
		}
	case 499:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1503
		{
		}
	case 500:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1507
		{
		}
	case 501:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1508
		{
		}
	case 502:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1509
		{
		}
	case 503:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1513
		{
		}
	case 504:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1514
		{
		}
	case 505:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1518
		{
		}
	case 506:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1519
		{
		}
	case 507:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1525
		{
			yyVAL.node = yyDollar[1].node
		}
	case 508:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1531
		{
		}
	case 509:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1532
		{
		}
	case 510:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1536
		{
			yyVAL.node = yyDollar[1].node
		}
	case 511:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1537
		{
			yyVAL.node = yyDollar[1].node
		}
	case 512:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1538
		{
			yyVAL.node = yyDollar[1].node
		}
	case 513:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1543
		{
			yyVAL.node = yyDollar[1].node
		}
	case 514:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1545
		{
			yyDollar[1].simpleIndirectReference.last.SetVarName(yyDollar[2].node)

			for _, n := range yyDollar[1].simpleIndirectReference.all {
				positions[n] = positionBuilder.NewNodesPosition(n, yyDollar[2].node)
			}

			yyVAL.node = yyDollar[1].simpleIndirectReference.all[0]
		}
	case 515:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1554
		{
		}
	case 516:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1559
		{
			yyVAL.node = expr.NewArrayDimFetch(yyDollar[1].node, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[4].token))
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 517:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1565
		{
			yyVAL.node = expr.NewArrayDimFetch(yyDollar[1].node, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[4].token))
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 518:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1570
		{
			yyVAL.node = yyDollar[1].node
		}
	case 519:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1576
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 520:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1586
		{
			yyVAL.node = expr.NewVariable(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 521:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1594
		{
			yyVAL.node = nil
		}
	case 522:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1595
		{
			yyVAL.node = yyDollar[1].node
		}
	case 523:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1600
		{
		}
	case 524:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1601
		{
		}
	case 525:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1605
		{
		}
	case 526:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1606
		{
		}
	case 527:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1607
		{
		}
	case 528:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1611
		{
		}
	case 529:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1612
		{
		}
	case 530:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1617
		{
			n := expr.NewVariable(nil)
			positions.AddPosition(n, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(n, yyDollar[1].token.Comments())

			yyVAL.simpleIndirectReference = simpleIndirectReference{[]*expr.Variable{n}, n}
		}
	case 531:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1625
		{
			n := expr.NewVariable(nil)
			positions.AddPosition(n, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(n, yyDollar[2].token.Comments())

			yyDollar[1].simpleIndirectReference.last.SetVarName(n)

			yyDollar[1].simpleIndirectReference.all = append(yyDollar[1].simpleIndirectReference.all, n)
			yyDollar[1].simpleIndirectReference.last = n
			yyVAL.simpleIndirectReference = yyDollar[1].simpleIndirectReference
		}
	case 534:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1645
		{
		}
	case 535:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1646
		{
		}
	case 536:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1646
		{
		}
	case 537:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1647
		{
		}
	case 538:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1652
		{
		}
	case 539:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1653
		{
		}
	case 540:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1657
		{
		}
	case 541:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1658
		{
		}
	case 542:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1659
		{
		}
	case 543:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1660
		{
		}
	case 544:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1661
		{
		}
	case 545:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1662
		{
		}
	case 546:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1663
		{
		}
	case 547:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1664
		{
		}
	case 548:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1669
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 549:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1671
		{
			encapsed := scalar.NewEncapsedStringPart(yyDollar[2].token.Value)
			positions.AddPosition(encapsed, positionBuilder.NewTokenPosition(yyDollar[2].token))
			yyVAL.list = append(yyDollar[1].list, encapsed)
			comments.AddComments(encapsed, yyDollar[2].token.Comments())
		}
	case 550:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1678
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 551:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1680
		{
			encapsed := scalar.NewEncapsedStringPart(yyDollar[1].token.Value)
			positions.AddPosition(encapsed, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{encapsed, yyDollar[2].node}
			comments.AddComments(encapsed, yyDollar[1].token.Comments())
		}
	case 552:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1690
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 553:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1700
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewArrayDimFetch(variable, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 554:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1713
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))
			fetch := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(fetch, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewPropertyFetch(variable, fetch)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(fetch, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 555:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1729
		{
			yyVAL.node = expr.NewVariable(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 556:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1735
		{
			identifier := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[2].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[2].token))
			yyVAL.node = expr.NewArrayDimFetch(variable, yyDollar[4].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[6].token))

			comments.AddComments(identifier, yyDollar[2].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 557:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1749
		{
			yyVAL.node = yyDollar[2].node
		}
	case 558:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1754
		{
			yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 559:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1760
		{
			// TODO: add option to handle 64 bit integer
			if _, err := strconv.Atoi(yyDollar[1].token.Value); err == nil {
				yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			} else {
				yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			}
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 560:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1772
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(identifier)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 561:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1785
		{
		}
	case 562:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1786
		{
		}
	case 563:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1787
		{
		}
	case 564:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1788
		{
		}
	case 565:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1789
		{
		}
	case 566:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1790
		{
		}
	case 567:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1791
		{
		}
	case 568:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1792
		{
		}
	case 569:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1796
		{
		}
	case 570:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1797
		{
		}
	case 571:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1797
		{
		}
	case 572:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1801
		{
		}
	case 573:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1802
		{
		}
	case 574:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1807
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 575:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1817
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 576:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1830
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 577:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1843
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	}
	goto yystack /* stack new state and value */
}
